import { computed as p, ref as m, watch as I, onMounted as X, openBlock as n, createElementBlock as u, normalizeStyle as g, createElementVNode as c, toDisplayString as k, createCommentVNode as h, unref as _, Fragment as z, renderList as A, normalizeClass as P, createBlock as J } from "vue";
import { u as K, c as U, t as Q, a as R, p as i, d as w, b as W, o as Y, e as O, g as Z, f as V, X as ee, s as te, w as le, i as ae } from "./index-BiuHBtkZ.js";
import { u as G } from "./useNestedProp-Ck5_RzLu.js";
import oe from "./vue-ui-skeleton-Du4zw-c1.js";
import { _ as se } from "./_plugin-vue_export-helper-CHgC5LLL.js";
const ne = ["xmlns", "viewBox"], re = ["id"], ue = ["stop-color"], ie = ["stop-color"], ce = ["stop-color"], de = {
  id: "stackPill",
  clipPathUnits: "objectBoundingBox"
}, ve = ["fill"], ge = { "clip-path": "url(#stackPill)" }, pe = ["height", "width", "fill"], he = ["onClick", "x", "width", "height", "fill", "stroke"], fe = ["onClick"], ye = { style: { display: "flex", "flex-direction": "row", "align-items": "center", gap: "4px", "justify-content": "center" } }, me = ["height", "width"], ke = ["fill"], _e = {
  __name: "vue-ui-sparkstackbar",
  props: {
    config: {
      type: Object,
      default() {
        return {};
      }
    },
    dataset: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  emits: ["selectDatapoint"],
  setup(M, { emit: T }) {
    const r = M, { vue_ui_sparkstackbar: q } = K(), L = p(() => !!r.dataset && r.dataset.length), N = m(U()), e = p({
      get: () => B(),
      set: (t) => t
    });
    function B() {
      const t = G({
        userConfig: r.config,
        defaultConfig: q
      });
      return t.theme ? {
        ...G({
          userConfig: Q.vue_ui_sparkstackbar[t.theme] || r.config,
          defaultConfig: t
        }),
        customPalette: R[t.theme] || i
      } : t;
    }
    I(() => r.config, (t) => {
      e.value = B(), F();
    }, { deep: !0 }), I(() => r.dataset, (t) => {
      f.value = r.dataset.map((a, l) => ({
        ...a,
        color: a.color ? w(a.color) : b.value[l] || i[l] || i[l % i.length]
      }));
    }, { deep: !0 });
    const b = p(() => W(e.value.customPalette)), f = m(r.dataset.map((t, a) => ({
      ...t,
      value: e.value.style.animation.show ? 0 : t.value || 0,
      color: t.color ? w(t.color) : b.value[a] || i[a] || i[a % i.length]
    }))), x = m(!0);
    X(() => {
      if (F(), e.value.style.animation.show) {
        let D = function() {
          o += l / t, o < l ? (f.value = f.value.map((s, d) => ({
            ...s,
            value: s.value += a[d],
            color: s.color ? w(s.color) : b.value[d] || i[d] || i[d % i.length]
          })), requestAnimationFrame(D)) : (x.value = !1, f.value = r.dataset.map((s, d) => ({
            ...s,
            value: s.value || 0,
            color: s.color ? w(s.color) : b.value[d] || i[d] || i[d % i.length],
            id: U()
          })));
        };
        const t = e.value.style.animation.animationFrames, a = r.dataset.map((s, d) => s.value / t), l = r.dataset.map((s) => s.value || 0).reduce((s, d) => s + d, 0);
        let o = 0;
        x.value = !0, D();
      }
    });
    function F() {
      Y(r.dataset) ? O({
        componentName: "VueUiSparkStackbar",
        type: "dataset"
      }) : r.dataset.forEach((t, a) => {
        Z({
          datasetObject: t,
          requiredAttributes: ["name", "value"]
        }).forEach((l) => {
          O({
            componentName: "VueUiSparkStackbar",
            type: "datasetSerieAttribute",
            property: l,
            index: a
          });
        });
      });
    }
    const y = m({
      width: 500,
      height: 16
    }), v = m([]), C = p(() => r.dataset.map((t) => t.value || 0).filter((t, a) => !v.value.includes(a)).reduce((t, a) => t + a, 0)), j = p(() => f.value.map((t, a) => ({
      ...t,
      value: t.value || 0,
      proportion: (t.value || 0) / C.value,
      width: (t.value || 0) / C.value * y.value.width,
      proportionLabel: V({
        v: (t.value || 0) / C.value * 100,
        s: "%",
        r: e.value.style.legend.percentage.rounding
      })
    }))), $ = p(() => j.value.filter((t, a) => !v.value.includes(a)));
    function H(t) {
      v.value.includes(t) ? v.value = v.value.filter((a) => a !== t) : v.value.length < f.value.length - 1 && v.value.push(t);
    }
    const S = p(() => {
      let t = 0;
      const a = [];
      for (let l = 0; l < $.value.length; l += 1)
        a.push({
          ...$.value[l],
          start: t
        }), t += $.value[l].width;
      return a;
    });
    function E(t, a) {
      T("selectDatapoint", { datapoint: t, index: a });
    }
    return (t, a) => (n(), u("div", {
      style: g(`width:100%; background:${e.value.style.backgroundColor}`)
    }, [
      e.value.style.title.text ? (n(), u("div", {
        key: 0,
        style: g(`width:calc(100% - 12px);background:transparent;margin:0 auto;margin:${e.value.style.title.margin};padding: 0 6px;text-align:${e.value.style.title.textAlign}`)
      }, [
        c("div", {
          style: g(`font-size:${e.value.style.title.fontSize}px;color:${e.value.style.title.color};font-weight:${e.value.style.title.bold ? "bold" : "normal"}`)
        }, k(e.value.style.title.text), 5),
        e.value.style.title.subtitle.text ? (n(), u("div", {
          key: 0,
          style: g(`font-size:${e.value.style.title.subtitle.fontSize}px;color:${e.value.style.title.subtitle.color};font-weight:${e.value.style.title.subtitle.bold ? "bold" : "normal"}`)
        }, k(e.value.style.title.subtitle.text), 5)) : h("", !0)
      ], 4)) : h("", !0),
      L.value ? (n(), u("svg", {
        key: 1,
        xmlns: _(ee),
        width: "100%",
        viewBox: `0 0 ${y.value.width} ${y.value.height}`
      }, [
        c("defs", null, [
          (n(!0), u(z, null, A(S.value, (l, o) => (n(), u("linearGradient", {
            key: `stack_gradient_${o}`,
            gradientTransform: "rotate(90)",
            id: `stack_gradient_${o}_${N.value}`
          }, [
            c("stop", {
              offset: "0%",
              "stop-color": l.color
            }, null, 8, ue),
            c("stop", {
              offset: "50%",
              "stop-color": _(te)(_(le)(l.color, 0.05), 100 - e.value.style.bar.gradient.intensity)
            }, null, 8, ie),
            c("stop", {
              offset: "100%",
              "stop-color": l.color
            }, null, 8, ce)
          ], 8, re))), 128)),
          c("clipPath", de, [
            c("rect", {
              x: "0.005",
              y: "-2",
              width: "0.99",
              height: "5",
              rx: "3",
              ry: "3",
              fill: e.value.style.backgroundColor
            }, null, 8, ve)
          ])
        ]),
        c("g", ge, [
          c("rect", {
            x: 0,
            y: 0,
            height: y.value.height,
            width: S.value.map((l) => l.width).reduce((l, o) => l + o, 0),
            fill: e.value.style.bar.gradient.underlayerColor,
            class: P({ animated: !x.value })
          }, null, 10, pe),
          (n(!0), u(z, null, A(S.value, (l, o) => (n(), u("rect", {
            key: `stack_${o}`,
            onClick: () => E(l, o),
            x: l.start,
            y: 0,
            width: l.width,
            height: y.value.height,
            fill: e.value.style.bar.gradient.show ? `url(#stack_gradient_${o}_${N.value})` : l.color,
            stroke: e.value.style.backgroundColor,
            "stroke-linecap": "round",
            class: P({ animated: !x.value })
          }, null, 10, he))), 128))
        ])
      ], 8, ne)) : h("", !0),
      L.value ? h("", !0) : (n(), J(oe, {
        key: 2,
        config: {
          type: "sparkStackbar",
          style: {
            backgroundColor: e.value.style.backgroundColor,
            sparkStackbar: {
              color: "#CCCCCC"
            }
          }
        }
      }, null, 8, ["config"])),
      e.value.style.legend.show ? (n(), u("div", {
        key: 3,
        style: g(`background:transparent;margin:0 auto;margin:${e.value.style.legend.margin};justify-content:${e.value.style.legend.textAlign === "left" ? "flex-start" : e.value.style.legend.textAlign === "right" ? "flex-end" : "center"}`),
        class: "vue-ui-sparkstackbar-legend"
      }, [
        (n(!0), u(z, null, A(j.value, (l, o) => (n(), u("div", {
          style: g(`font-size:${e.value.style.legend.fontSize}px;`),
          class: P({ "vue-ui-sparkstackbar-legend-item": !0, "vue-ui-sparkstackbar-legend-item-unselected": v.value.includes(o) }),
          onClick: (D) => {
            H(o), E(l, o);
          }
        }, [
          c("div", ye, [
            (n(), u("svg", {
              height: `${e.value.style.legend.fontSize}px`,
              width: `${e.value.style.legend.fontSize}px`,
              viewBox: "0 0 10 10"
            }, [
              c("circle", {
                cx: 5,
                cy: 5,
                r: 5,
                fill: l.color
              }, null, 8, ke)
            ], 8, me)),
            c("span", {
              style: g(`color:${e.value.style.legend.name.color}; font-weight:${e.value.style.legend.name.bold ? "bold" : "normal"}`)
            }, k(l.name), 5),
            e.value.style.legend.percentage.show ? (n(), u("span", {
              key: 0,
              style: g(`font-weight:${e.value.style.legend.percentage.bold ? "bold" : "normal"};color:${e.value.style.legend.percentage.color}`)
            }, k(v.value.includes(o) ? " - " : l.proportionLabel), 5)) : h("", !0),
            e.value.style.legend.value.show ? (n(), u("span", {
              key: 1,
              style: g(`font-weight:${e.value.style.legend.value.bold ? "bold" : "normal"};color:${e.value.style.legend.value.color}`)
            }, " (" + k(_(ae)(
              e.value.style.legend.value.formatter,
              l.value,
              _(V)({
                p: e.value.style.legend.value.prefix,
                v: l.value,
                s: e.value.style.legend.value.suffix,
                r: e.value.style.legend.value.rounding
              }),
              { datapoint: l, seriesIndex: o }
            )) + ") ", 5)) : h("", !0)
          ])
        ], 14, fe))), 256))
      ], 4)) : h("", !0)
    ], 4));
  }
}, Se = /* @__PURE__ */ se(_e, [["__scopeId", "data-v-fe970768"]]);
export {
  Se as default
};
