import { p as Q } from "./pdf-97UbtKC2.js";
import { U as K, s as j } from "./usePrinter-Do8KiK5h.js";
import { c as J, a as $, t as ee, z as te, p as ae, T as X, N as T, f as Z, I as ie, F as le, i as re, Z as se, W as ne, _ as ce, v as he, $ as oe, d as de, B as ue, b as ge, q as fe, Q as me, a0 as Ne, r as Ie, e as xe, y as be, L as Fe, x as _e, a1 as ye, o as Ae, s as Le, w as Ce, E as Se, A as ke, u as we } from "./index-BiuHBtkZ.js";
import { D as Oe } from "./DataTable-MkG5Dqrn.js";
import { _ as ve } from "./Title-ISDbzCH8.js";
import { _ as Ge, u as pe } from "./Tooltip-BHmMXOej.js";
import { _ as ze } from "./Shape-BFiZBf3X.js";
import Me from "./BaseIcon-BysUnfCR.js";
import Te from "./vue-ui-table-sparkline-Dg2RKv6f.js";
import Pe from "./vue-ui-skeleton-Du4zw-c1.js";
import { S as Ve } from "./Slicer-CALc-Q4W.js";
import Re from "./vue-ui-accordion-D2fhyKpk.js";
import { u as U } from "./useNestedProp-Ck5_RzLu.js";
import { resolveComponent as P, openBlock as l, createElementBlock as r, normalizeClass as M, normalizeStyle as A, createBlock as V, createCommentVNode as o, createSlots as De, withCtx as p, renderSlot as O, normalizeProps as B, guardReactiveProps as Y, createElementVNode as u, Fragment as m, renderList as I, toDisplayString as S, createVNode as q, withDirectives as He, vModelCheckbox as We, createTextVNode as Ee } from "vue";
import { _ as Be } from "./_plugin-vue_export-helper-CHgC5LLL.js";
const Ye = J(), Xe = {
  name: "vue-ui-xy",
  props: {
    config: {
      type: Object,
      default() {
        return {};
      }
    },
    dataset: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  components: {
    DataTable: Oe,
    Shape: ze,
    Title: ve,
    Tooltip: Ge,
    UserOptions: K,
    BaseIcon: Me,
    TableSparkline: Te,
    Skeleton: Pe,
    Slicer: Ve,
    Accordion: Re
  },
  data() {
    this.dataset.forEach((h, f) => {
      [null, void 0].includes(h.series) && this.error({
        componentName: "VueUiXy",
        type: "datasetSerieAttribute",
        property: "series (number[])",
        index: f
      });
    });
    const a = Math.max(...this.dataset.map((h) => h.series.length)), s = {
      start: 0,
      end: a
    };
    return {
      themePalettes: $,
      themes: ee,
      slicerStep: 0,
      selectedScale: null,
      CTX: null,
      CANVAS: null,
      opacity: te,
      useSafeValues: !0,
      palette: ae,
      height: 600,
      width: 1e3,
      viewBox: "0 0 1000 600",
      clientPosition: {
        x: 0,
        y: 0
      },
      canvasClientPosition: {
        x: 0,
        y: 0
      },
      icons: {
        line: "line",
        bar: "bar",
        plot: "plot"
      },
      isFullscreen: !1,
      isPrinting: !1,
      isImaging: !1,
      isTooltip: !1,
      mutableConfig: {
        dataLabels: {
          show: !0
        },
        showTooltip: !0,
        showTable: !1,
        isStacked: !1,
        useIndividualScale: !1
      },
      selectedSerieIndex: null,
      selectedRowIndex: null,
      segregatedSeries: [],
      uniqueId: J(),
      step: 0,
      tableStep: 0,
      titleStep: 0,
      slicer: s,
      __to__: null,
      maxX: a,
      showSparklineTable: !0,
      segregateStep: 0,
      sliderId: Ye,
      fontSizes: {
        xAxis: 18,
        yAxis: 12,
        dataLabels: 20,
        plotLabels: 10
      },
      plotRadii: {
        plot: 3,
        line: 3
      },
      selectedMinimapIndex: null
    };
  },
  watch: {
    dataset: {
      handler(a, s) {
        this.maxX = Math.max(...this.dataset.map((h) => h.series.length)), this.slicer = {
          start: 0,
          end: this.maxX
        }, this.slicerStep += 1, this.segregateStep += 1;
      },
      deep: !0
    },
    config: {
      handler(a, s) {
        this.FINAL_CONFIG = this.prepareConfig(), this.prepareChart(), this.titleStep += 1, this.tableStep += 1;
      },
      deep: !0
    }
  },
  computed: {
    minimap() {
      if (!this.FINAL_CONFIG.chart.zoom.minimap.show) return [];
      const a = this.datasetWithIds.filter((i) => !this.segregatedSeries.includes(i.id)), s = Math.max(...a.map((i) => i.series.length)), h = [];
      for (let i = 0; i < s; i += 1)
        h.push(a.map((e) => e.series[i] || 0).reduce((e, x) => (e || 0) + (x || 0), 0));
      const f = Math.min(...h);
      return h.map((i) => i + (f < 0 ? Math.abs(f) : 0));
    },
    customPalette() {
      return this.convertCustomPalette(this.FINAL_CONFIG.customPalette);
    },
    backgroundColor() {
      return this.FINAL_CONFIG.chart.backgroundColor;
    },
    slicerColor() {
      return this.FINAL_CONFIG.chart.zoom.color;
    },
    allScales() {
      const a = this.lineSet.map((i) => ({
        name: i.name,
        color: i.color,
        scale: i.individualScale,
        scaleYLabels: i.scaleYLabels,
        zero: i.zeroPosition,
        max: i.individualMax,
        scaleLabel: i.scaleLabel || "",
        id: i.id,
        yOffset: i.yOffset || 0,
        individualHeight: i.individualHeight || this.drawingArea.height,
        autoScaleYLabels: i.autoScaleYLabels
      })), s = this.barSet.map((i) => ({
        name: i.name,
        color: i.color,
        scale: i.individualScale,
        scaleYLabels: i.scaleYLabels,
        zero: i.zeroPosition,
        max: i.individualMax,
        scaleLabel: i.scaleLabel || "",
        id: i.id,
        yOffset: i.yOffset || 0,
        individualHeight: i.individualHeight || this.drawingArea.height
      })), h = this.plotSet.map((i) => ({
        name: i.name,
        color: i.color,
        scale: i.individualScale,
        scaleYLabels: i.scaleYLabels,
        // FIX
        zero: i.zeroPosition,
        max: i.individualMax,
        scaleLabel: i.scaleLabel || "",
        id: i.id,
        yOffset: i.yOffset || 0,
        individualHeight: i.individualHeight || this.drawingArea.height
      })), f = [...a, ...s, ...h].flatMap((i) => i).length;
      return [...a, ...s, ...h].flatMap((i, e) => ({
        id: i.id,
        scaleLabel: i.scaleLabel,
        name: i.name,
        color: i.color,
        scale: i.scale,
        yOffset: i.yOffset,
        individualHeight: i.individualHeight,
        x: this.mutableConfig.isStacked ? this.drawingArea.left : this.drawingArea.left / f * (e + 1),
        yLabels: i.scaleYLabels || i.scale.ticks.map((x) => ({
          y: x >= 0 ? i.zero - i.individualHeight * (x / i.max) : i.zero + i.individualHeight * Math.abs(x) / i.max,
          value: x
        }))
      }));
    },
    isDataset() {
      return !!this.dataset && this.dataset.length;
    },
    chartFont() {
      const a = document.getElementById(`vue-ui-xy_${this.uniqueId}`);
      return window.getComputedStyle(a, null).getPropertyValue("font-family");
    },
    FINAL_CONFIG: {
      get: function() {
        return this.prepareConfig();
      },
      set: function(a) {
        return a;
      }
    },
    hasHighlightArea() {
      return Array.isArray(this.FINAL_CONFIG.chart.highlightArea) ? this.FINAL_CONFIG.chart.highlightArea.some((a) => a.show) : this.FINAL_CONFIG.chart.highlightArea && this.FINAL_CONFIG.chart.highlightArea.show;
    },
    highlightAreas() {
      if (Array.isArray(this.FINAL_CONFIG.chart.highlightArea))
        return this.FINAL_CONFIG.chart.highlightArea.map((s) => ({
          ...s,
          span: s.from === s.to ? 1 : s.to < s.from ? 0 : s.to - s.from + 1
        }));
      const a = this.FINAL_CONFIG.chart.highlightArea;
      return [{ ...a, span: a.from === a.to ? 1 : a.to < a.from ? 0 : a.to - a.from + 1 }];
    },
    xPadding() {
      return this.FINAL_CONFIG.chart.grid.position === "middle" ? 0 : this.drawingArea.width / this.maxSeries / 2;
    },
    relativeZero() {
      return this.niceScale.min >= 0 ? 0 : Math.abs(this.niceScale.min);
    },
    absoluteMax() {
      return this.niceScale.max + this.relativeZero;
    },
    datasetWithIds() {
      return this.useSafeValues ? this.dataset.map((a, s) => ({
        ...a,
        id: `uniqueId_${s}`
      })) : this.dataset;
    },
    safeDataset() {
      return this.useSafeValues ? this.dataset.map((a, s) => ({
        ...a,
        series: a.series.map((h) => this.isSafeValue(h) ? h : null).slice(this.slicer.start, this.slicer.end),
        color: this.convertColorToHex(a.color ? a.color : this.customPalette[s] ? this.customPalette[s] : this.palette[s]),
        id: `uniqueId_${s}`
      })) : this.dataset;
    },
    relativeDataset() {
      return this.safeDataset.map((a, s) => ({
        ...a,
        series: a.series.map((h) => h + this.relativeZero),
        absoluteValues: a.series
      })).filter((a) => !this.segregatedSeries.includes(a.id));
    },
    tableSparklineDataset() {
      return this.relativeDataset.map((a) => {
        const s = a.absoluteValues.map((h) => [void 0, null].includes(h) ? 0 : h);
        return {
          id: a.id,
          name: a.name,
          color: a.color,
          values: this.fillArray(this.maxSeries, s)
        };
      });
    },
    tableSparklineConfig() {
      return {
        responsiveBreakpoint: this.FINAL_CONFIG.table.responsiveBreakpoint,
        roundingValues: this.FINAL_CONFIG.table.rounding,
        showAverage: !1,
        showMedian: !1,
        showTotal: !1,
        fontFamily: this.FINAL_CONFIG.chart.fontFamily,
        prefix: this.FINAL_CONFIG.chart.labels.prefix,
        suffix: this.FINAL_CONFIG.chart.labels.suffix,
        colNames: JSON.parse(JSON.stringify(this.FINAL_CONFIG.chart.grid.labels.xAxisLabels.values)),
        thead: {
          backgroundColor: this.FINAL_CONFIG.table.th.backgroundColor,
          color: this.FINAL_CONFIG.table.th.color,
          outline: this.FINAL_CONFIG.table.th.outline
        },
        tbody: {
          backgroundColor: this.FINAL_CONFIG.table.td.backgroundColor,
          color: this.FINAL_CONFIG.table.td.color,
          outline: this.FINAL_CONFIG.table.td.outline
        },
        userOptions: {
          show: !1
        }
      };
    },
    absoluteDataset() {
      return this.safeDataset.map((a, s) => ({
        absoluteIndex: s,
        ...a,
        series: a.series.map((h) => h + this.relativeZero),
        absoluteValues: a.series,
        segregate: () => this.segregate(a),
        isSegregated: this.segregatedSeries.includes(a.id)
      }));
    },
    barSet() {
      return this.activeSeriesWithStackRatios.filter((a) => a.type === "bar").map((a, s) => {
        this.checkAutoScaleError(a);
        const h = Math.min(...a.absoluteValues.filter((d) => ![null, void 0].includes(d))), f = Math.max(...a.absoluteValues.filter((d) => ![null, void 0].includes(d))), e = {
          ratios: a.absoluteValues.filter((d) => ![null, void 0].includes(d)).map((d) => (d - h) / (f - h)),
          valueMin: h,
          valueMax: f < 0 ? 0 : f
        }, x = {
          max: a.scaleMax || Math.max(...a.absoluteValues) || 1,
          min: a.scaleMin || Math.min(...a.absoluteValues.filter((d) => ![void 0, null].includes(d))) > 0 ? 0 : Math.min(...a.absoluteValues.filter((d) => ![null, void 0].includes(d)))
        }, _ = a.scaleSteps || this.FINAL_CONFIG.chart.grid.labels.yAxis.commonScaleSteps, L = 1.0000001, N = this.calculateNiceScaleWithExactExtremes(x.min, x.max === x.min ? x.max * L : x.max, _), C = this.calculateNiceScaleWithExactExtremes(e.valueMin, e.valueMax === e.valueMin ? e.valueMax * L : e.valueMax, _), z = N.min >= 0 ? 0 : Math.abs(N.min), k = 0, G = N.max + z, v = C.max + Math.abs(k), b = this.mutableConfig.isStacked ? this.drawingArea.height * (1 - a.cumulatedStackRatio) : 0, t = this.mutableConfig.isStacked ? this.drawingArea.height * a.stackRatio - this.FINAL_CONFIG.chart.grid.labels.yAxis.gap : this.drawingArea.height, c = this.drawingArea.bottom - b - t * z / G, n = this.drawingArea.bottom - b - t * k / v, g = this.absoluteDataset.filter((d) => d.type === "bar").filter((d) => !this.segregatedSeries.includes(d.id)).length, R = a.series.map((d, F) => {
          const W = this.mutableConfig.useIndividualScale ? (a.absoluteValues[F] + z) / G : this.ratioToMax(d), E = this.mutableConfig.useIndividualScale && this.mutableConfig.isStacked ? this.drawingArea.left + this.drawingArea.width / this.maxSeries * F : this.drawingArea.left + this.slot.bar * s + this.slot.bar * F * g - this.barSlot / 2 - s * this.barPeriodGap;
          return {
            yOffset: this.checkNaN(b),
            individualHeight: this.checkNaN(t),
            x: this.checkNaN(E),
            y: this.drawingArea.bottom - b - t * W,
            value: a.absoluteValues[F],
            zeroPosition: this.checkNaN(c),
            individualMax: this.checkNaN(G),
            comment: a.comments && a.comments.slice(this.slicer.start, this.slicer.end)[F] || ""
          };
        }), H = a.absoluteValues.map((d) => C.min >= 0 ? (d - Math.abs(C.min)) / (C.max - Math.abs(C.min)) : (d + Math.abs(C.min)) / (C.max + Math.abs(C.min))), D = a.series.map((d, F) => {
          const W = this.mutableConfig.useIndividualScale && this.mutableConfig.isStacked ? this.drawingArea.left + this.drawingArea.width / this.maxSeries * F : this.drawingArea.left - this.slot.bar / 2 + this.slot.bar * s + this.slot.bar * F * this.absoluteDataset.filter((E) => E.type === "bar").filter((E) => !this.segregatedSeries.includes(E.id)).length;
          return {
            yOffset: this.checkNaN(b),
            individualHeight: this.checkNaN(t),
            x: this.checkNaN(W),
            y: this.checkNaN(this.drawingArea.bottom - this.checkNaN(b) - (this.checkNaN(t) * H[F] || 0)),
            value: a.absoluteValues[F],
            zeroPosition: this.checkNaN(c),
            individualMax: this.checkNaN(G),
            comment: a.comments && a.comments.slice(this.slicer.start, this.slicer.end)[F] || ""
          };
        }), y = N.ticks.map((d) => ({
          y: d >= 0 ? c - t * (d / G) : c + t * Math.abs(d) / G,
          value: d,
          prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
          suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix,
          datapoint: a
        })), w = C.ticks.map((d) => {
          const F = (d - C.min) / (C.max - C.min);
          return {
            y: d >= 0 ? n - t * F : n + t * F,
            value: d,
            prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
            suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix,
            datapoint: a
          };
        });
        return {
          ...a,
          yOffset: b,
          autoScaleYLabels: w,
          individualHeight: t,
          scaleYLabels: a.autoScaling ? w : y,
          individualScale: a.autoScaling ? C : N,
          individualMax: a.autoScaling ? v : G,
          zeroPosition: a.autoScaling ? n : c,
          plots: a.autoScaling ? D : R
        };
      });
    },
    activeSeriesLength() {
      return this.absoluteDataset.length;
    },
    activeSeriesWithStackRatios() {
      return this.assignStackRatios(this.absoluteDataset.filter((a) => !this.segregatedSeries.includes(a.id)));
    },
    lineSet() {
      return this.activeSeriesWithStackRatios.filter((a) => a.type === "line").map((a) => {
        this.checkAutoScaleError(a);
        const s = Math.min(...a.absoluteValues.filter((d) => ![void 0, null].includes(d))), h = Math.max(...a.absoluteValues.filter((d) => ![void 0, null].includes(d))) || 1, i = {
          ratios: a.absoluteValues.filter((d) => ![null, void 0].includes(d)).map((d) => (d - s) / (h - s)),
          valueMin: s,
          valueMax: h
        }, e = {
          max: a.scaleMax || Math.max(...a.absoluteValues) || 1,
          min: a.scaleMin || (Math.min(...a.absoluteValues) > 0 ? 0 : Math.min(...a.absoluteValues))
        }, x = a.scaleSteps || this.FINAL_CONFIG.chart.grid.labels.yAxis.commonScaleSteps, _ = 1.0000001, L = this.calculateNiceScaleWithExactExtremes(e.min, e.max === e.min ? e.max * _ : e.max, x), N = this.calculateNiceScaleWithExactExtremes(i.valueMin, i.valueMax === i.valueMin ? i.valueMax * _ : i.valueMax, x), C = L.min >= 0 ? 0 : Math.abs(L.min), z = 0, k = L.max + Math.abs(C), G = N.max + Math.abs(z), v = this.mutableConfig.isStacked ? this.drawingArea.height * (1 - a.cumulatedStackRatio) : 0, b = this.mutableConfig.isStacked ? this.drawingArea.height * a.stackRatio - this.FINAL_CONFIG.chart.grid.labels.yAxis.gap : this.drawingArea.height, t = this.drawingArea.bottom - v - b * C / k, c = this.drawingArea.bottom - v - b * z / G, n = a.series.map((d, F) => {
          const W = this.mutableConfig.useIndividualScale ? (a.absoluteValues[F] + Math.abs(C)) / k : this.ratioToMax(d);
          return {
            x: this.checkNaN(this.drawingArea.left + this.slot.line / 2 + this.slot.line * F),
            y: this.checkNaN(this.drawingArea.bottom - v - b * W),
            value: a.absoluteValues[F],
            comment: a.comments && a.comments.slice(this.slicer.start, this.slicer.end)[F] || ""
          };
        }), g = a.absoluteValues.map((d) => N.min >= 0 ? (d - Math.abs(N.min)) / (N.max - Math.abs(N.min)) : (d + Math.abs(N.min)) / (N.max + Math.abs(N.min))), R = a.series.map((d, F) => {
          if (![void 0, null].includes(a.absoluteValues[F]))
            return {
              x: this.checkNaN(this.drawingArea.left + this.slot.line / 2 + this.slot.line * F),
              y: this.checkNaN(this.drawingArea.bottom - v - (b * g[F] || 0)),
              value: a.absoluteValues[F],
              comment: a.comments && a.comments.slice(this.slicer.start, this.slicer.end)[F] || ""
            };
        }), H = this.createSmoothPath(n), D = this.createSmoothPath(R), y = L.ticks.map((d) => ({
          y: d >= 0 ? t - b * (d / k) : t + b * Math.abs(d) / k,
          value: d,
          prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
          suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix,
          datapoint: a
        })), w = N.ticks.map((d) => {
          const F = (d - N.min) / (N.max - N.min);
          return {
            y: d >= 0 ? c - b * F : c + b * F,
            value: d,
            prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
            suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix,
            datapoint: a
          };
        });
        return {
          ...a,
          yOffset: v,
          autoScaleYLabels: w,
          individualHeight: b,
          scaleYLabels: a.autoScaling ? w : y,
          individualScale: a.autoScaling ? N : L,
          individualMax: a.autoScaling ? G : k,
          zeroPosition: a.autoScaling ? c : t,
          curve: a.autoScaling ? D : H,
          plots: a.autoScaling ? R : n,
          area: a.useArea ? this.mutableConfig.useIndividualScale ? this.createIndividualArea(a.autoScaling ? R : n, a.autoScaling ? c : t) : this.createArea(n) : ""
        };
      });
    },
    plotSet() {
      return this.activeSeriesWithStackRatios.filter((a) => a.type === "plot").map((a) => {
        this.checkAutoScaleError(a);
        const s = Math.min(...a.absoluteValues.filter((y) => ![null, void 0].includes(y))), h = Math.max(...a.absoluteValues.filter((y) => ![null, void 0].includes(y))) || 1, i = {
          ratios: a.absoluteValues.filter((y) => ![null, void 0].includes(y)).map((y) => (y - s) / (h - s)),
          valueMin: s,
          valueMax: h
        }, e = {
          max: a.scaleMax || Math.max(...a.absoluteValues) || 1,
          min: a.scaleMin || Math.min(...a.absoluteValues) > 0 ? 0 : Math.min(...a.absoluteValues)
        }, x = a.scaleSteps || this.FINAL_CONFIG.chart.grid.labels.yAxis.commonScaleSteps, _ = 1.0000001, L = this.calculateNiceScaleWithExactExtremes(e.min, e.max === e.min ? e.max * _ : e.max, x), N = this.calculateNiceScaleWithExactExtremes(i.valueMin, i.valueMax === i.valueMin ? i.valueMax * _ : i.valueMax, x), C = L.min >= 0 ? 0 : Math.abs(L.min), z = 0, k = L.max + C, G = N.max + Math.abs(z), v = this.mutableConfig.isStacked ? this.drawingArea.height * (1 - a.cumulatedStackRatio) : 0, b = this.mutableConfig.isStacked ? this.drawingArea.height * a.stackRatio - this.FINAL_CONFIG.chart.grid.labels.yAxis.gap : this.drawingArea.height, t = this.drawingArea.bottom - v - b * C / k, c = this.drawingArea.bottom - v - b * z / G, n = a.series.map((y, w) => {
          const d = this.mutableConfig.useIndividualScale ? (a.absoluteValues[w] + Math.abs(C)) / k : this.ratioToMax(y);
          return {
            x: this.checkNaN(this.drawingArea.left + this.slot.plot / 2 + this.slot.plot * w),
            y: this.checkNaN(this.drawingArea.bottom - v - b * d),
            value: a.absoluteValues[w],
            comment: a.comments && a.comments.slice(this.slicer.start, this.slicer.end)[w] || ""
          };
        }), g = a.absoluteValues.map((y) => N.min >= 0 ? (y - Math.abs(N.min)) / (N.max - Math.abs(N.min)) : (y + Math.abs(N.min)) / (N.max + Math.abs(N.min))), R = a.series.map((y, w) => ({
          x: this.checkNaN(this.drawingArea.left + this.slot.plot / 2 + this.slot.plot * w),
          y: this.checkNaN(this.drawingArea.bottom - v - (b * g[w] || 0)),
          value: a.absoluteValues[w],
          comment: a.comments && a.comments.slice(this.slicer.start, this.slicer.end)[w] || ""
        })), H = L.ticks.map((y) => ({
          y: y >= 0 ? t - b * (y / k) : t + b * Math.abs(y) / k,
          value: y,
          prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
          suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix,
          datapoint: a
        })), D = N.ticks.map((y) => {
          const w = (y - N.min) / (N.max - N.min);
          return {
            y: y >= 0 ? c - b * w : c + b * w,
            value: y,
            prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
            suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix,
            datapoint: a
          };
        });
        return {
          ...a,
          yOffset: v,
          autoScaleYLabels: D,
          individualHeight: b,
          scaleYLabels: a.autoScaling ? D : H,
          individualScale: a.autoScaling ? N : L,
          individualMax: a.autoScaling ? G : k,
          zeroPosition: a.autoScaling ? c : t,
          plots: a.autoScaling ? R : n
        };
      });
    },
    drawingArea() {
      const a = this.mutableConfig.useIndividualScale && this.FINAL_CONFIG.chart.grid.labels.show ? this.absoluteDataset.filter((s) => !this.segregatedSeries.includes(s.id)).length * (this.mutableConfig.isStacked ? 0 : this.FINAL_CONFIG.chart.grid.labels.yAxis.labelWidth) : 0;
      return {
        top: this.FINAL_CONFIG.chart.padding.top,
        right: this.width - this.FINAL_CONFIG.chart.padding.right,
        bottom: this.height - this.FINAL_CONFIG.chart.padding.bottom,
        left: this.FINAL_CONFIG.chart.padding.left + a,
        height: this.height - (this.FINAL_CONFIG.chart.padding.top + this.FINAL_CONFIG.chart.padding.bottom),
        width: this.width - (this.FINAL_CONFIG.chart.padding.right + this.FINAL_CONFIG.chart.padding.left + a)
      };
    },
    max() {
      return this.FINAL_CONFIG.chart.grid.labels.yAxis.scaleMax ? this.FINAL_CONFIG.chart.grid.labels.yAxis.scaleMax : Math.max(...this.safeDataset.filter((a) => !this.segregatedSeries.includes(a.id)).map((a) => Math.max(...a.series)));
    },
    min() {
      if (this.FINAL_CONFIG.chart.grid.labels.yAxis.scaleMin !== null)
        return this.FINAL_CONFIG.chart.grid.labels.yAxis.scaleMin;
      const a = Math.min(...this.safeDataset.filter((s) => !this.segregatedSeries.includes(s.id)).map((s) => Math.min(...s.series)));
      return a > 0 ? 0 : a;
    },
    niceScale() {
      return this.calculateNiceScaleWithExactExtremes(this.min, this.max < 0 ? 0 : this.max, this.FINAL_CONFIG.chart.grid.labels.yAxis.commonScaleSteps);
    },
    maxSeries() {
      return this.slicer.end - this.slicer.start;
    },
    timeLabels() {
      return this.FINAL_CONFIG.chart.grid.labels.xAxisLabels.values.slice(this.slicer.start, this.slicer.end);
    },
    slot() {
      return {
        bar: this.drawingArea.width / this.maxSeries / this.safeDataset.filter((a) => a.type === "bar").filter((a) => !this.segregatedSeries.includes(a.id)).length,
        plot: this.drawingArea.width / this.maxSeries,
        line: this.drawingArea.width / this.maxSeries
      };
    },
    barSlot() {
      const a = this.safeDataset.filter((s) => s.type === "bar").filter((s) => !this.segregatedSeries.includes(s.id)).length;
      return this.drawingArea.width / this.maxSeries / a - this.barPeriodGap * a;
    },
    barPeriodGap() {
      return this.slot.line * this.FINAL_CONFIG.bar.periodGap;
    },
    maxSlot() {
      return Math.max(...Object.values(this.slot).filter((a) => a !== 1 / 0));
    },
    table() {
      if (this.safeDataset.length === 0) return { head: [], body: [], config: {}, columnNames: [] };
      const a = this.relativeDataset.map((h) => ({
        label: h.name,
        color: h.color,
        type: h.type
      })), s = [];
      return this.timeLabels.forEach((h, f) => {
        const i = [h];
        this.relativeDataset.forEach((e) => {
          i.push(this.canShowValue(e.absoluteValues[f]) ? Number(e.absoluteValues[f].toFixed(this.FINAL_CONFIG.table.rounding)) : "");
        }), s.push(i);
      }), { head: a, body: s };
    },
    dataTable() {
      const a = this.FINAL_CONFIG.table.showSum;
      let s = [""].concat(this.relativeDataset.map((e) => e.name));
      a && (s = s.concat(' <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M18 16v2a1 1 0 0 1 -1 1h-11l6 -7l-6 -7h11a1 1 0 0 1 1 1v2" /></svg>'));
      let h = [];
      for (let e = 0; e < this.maxSeries; e += 1) {
        const x = this.relativeDataset.map((_) => _.absoluteValues[e] ?? 0).reduce((_, L) => _ + L, 0);
        h.push(
          [
            this.timeLabels[e] ?? "-"
          ].concat(this.relativeDataset.map(
            (_) => this.applyDataLabel(
              _.type === "line" ? this.FINAL_CONFIG.line.labels.formatter : _.type === "bar" ? this.FINAL_CONFIG.bar.labels.formatter : this.FINAL_CONFIG.plot.labels.formatter,
              _.absoluteValues[e] ?? 0,
              this.dataLabel({
                p: _.prefix || this.FINAL_CONFIG.chart.labels.prefix,
                v: _.absoluteValues[e] ?? 0,
                s: _.suffix || this.FINAL_CONFIG.chart.labels.suffix,
                r: this.FINAL_CONFIG.table.rounding
              })
            )
          )).concat(a ? (x ?? 0).toFixed(this.FINAL_CONFIG.table.rounding) : [])
        );
      }
      const f = {
        th: {
          backgroundColor: this.FINAL_CONFIG.table.th.backgroundColor,
          color: this.FINAL_CONFIG.table.th.color,
          outline: this.FINAL_CONFIG.table.th.outline
        },
        td: {
          backgroundColor: this.FINAL_CONFIG.table.td.backgroundColor,
          color: this.FINAL_CONFIG.table.td.color,
          outline: this.FINAL_CONFIG.table.td.outline
        },
        breakpoint: this.FINAL_CONFIG.table.responsiveBreakpoint
      }, i = [this.FINAL_CONFIG.table.columnNames.period].concat(this.relativeDataset.map((e) => e.name)).concat(this.FINAL_CONFIG.table.columnNames.total);
      return { head: s, body: h, config: f, colNames: i };
    },
    dataTooltipSlot() {
      return {
        datapoint: this.selectedSeries,
        seriesIndex: this.selectedSerieIndex,
        series: this.absoluteDataset,
        bars: this.barSet,
        lines: this.lineSet,
        plots: this.plotSet,
        config: this.FINAL_CONFIG
      };
    },
    selectedSeries() {
      return this.relativeDataset.map((a) => ({
        shape: a.shape || null,
        name: a.name,
        color: a.color,
        type: a.type,
        value: a.absoluteValues.find((s, h) => h === this.selectedSerieIndex),
        comments: a.comments || [],
        prefix: a.prefix || this.FINAL_CONFIG.chart.labels.prefix,
        suffix: a.suffix || this.FINAL_CONFIG.chart.labels.suffix
      }));
    },
    tooltipContent() {
      let a = "", s = this.selectedSeries.map((i) => i.value).filter((i) => this.isSafeValue(i) && i !== null).reduce((i, e) => Math.abs(i) + Math.abs(e), 0);
      const h = this.timeLabels[this.selectedSerieIndex], f = this.FINAL_CONFIG.chart.tooltip.customFormat;
      return this.isFunction(f) && this.functionReturnsString(() => f({
        seriesIndex: this.selectedSerieIndex,
        datapoint: this.selectedSeries,
        series: this.absoluteDataset,
        bars: this.barSet,
        lines: this.lineSet,
        plots: this.plotSet,
        config: this.FINAL_CONFIG
      })) ? f({
        seriesIndex: this.selectedSerieIndex,
        datapoint: this.selectedSeries,
        series: this.absoluteDataset,
        bars: this.barSet,
        lines: this.lineSet,
        plots: this.plotSet,
        config: this.FINAL_CONFIG
      }) : (h && (a += `<div style="padding-bottom: 6px; margin-bottom: 4px; border-bottom: 1px solid ${this.FINAL_CONFIG.chart.tooltip.borderColor}; width:100%">${h}</div>`), this.selectedSeries.forEach((i) => {
        if (this.isSafeValue(i.value)) {
          let e = "", x = "";
          switch (this.icons[i.type]) {
            case "bar":
              e = `<svg viewBox="0 0 12 12" height="14" width="14"><rect x="0" y="0" rx="1" stroke="none" height="12" width="12" fill="${i.color}" /></svg>`;
              break;
            case "line":
              !i.shape || !["star", "triangle", "square", "diamond", "pentagon", "hexagon"].includes(i.shape) ? x = `<circle cx="10" cy="8" r="4" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" fill="${i.color}" />` : i.shape === "triangle" ? x = `<path d="${T({ plot: { x: 10, y: 8 }, radius: 4, sides: 3, rotation: 0.52 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" />` : i.shape === "square" ? x = `<path d="${T({ plot: { x: 10, y: 8 }, radius: 4, sides: 4, rotation: 0.8 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" />` : i.shape === "diamond" ? x = `<path d="${T({ plot: { x: 10, y: 8 }, radius: 4, sides: 4, rotation: 0 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" />` : i.shape === "pentagon" ? x = `<path d="${T({ plot: { x: 10, y: 8 }, radius: 4, sides: 5, rotation: 0.95 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" />` : i.shape === "hexagon" ? x = `<path d="${T({ plot: { x: 10, y: 8 }, radius: 4, sides: 6, rotation: 0 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" />` : i.shape === "star" && (x = `<polygon stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" fill="${i.color}" points="${X({ plot: { x: 10, y: 8 }, radius: 4 })}" />`), e = `<svg viewBox="0 0 20 12" height="14" width="20"><rect rx="3" x="0" y="6" stroke="none" height="4" width="20" fill="${i.color}" />${x}</svg>`;
              break;
            case "plot":
              if (!i.shape || !["star", "triangle", "square", "diamond", "pentagon", "hexagon"].includes(i.shape)) {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><circle cx="6" cy="6" r="6" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" fill="${i.color}" /></svg>`;
                break;
              }
              if (i.shape === "star") {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><polygon stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" fill="${i.color}" points="${X({ plot: { x: 6, y: 6 }, radius: 5 })}" /></svg>`;
                break;
              }
              if (i.shape === "triangle") {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><path d="${T({ plot: { x: 6, y: 6 }, radius: 6, sides: 3, rotation: 0.52 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" /></svg>`;
                break;
              }
              if (i.shape === "square") {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><path d="${T({ plot: { x: 6, y: 6 }, radius: 6, sides: 4, rotation: 0.8 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" /></svg>`;
                break;
              }
              if (i.shape === "diamond") {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><path d="${T({ plot: { x: 6, y: 6 }, radius: 5, sides: 4, rotation: 0 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" /></svg>`;
                break;
              }
              if (i.shape === "pentagon") {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><path d="${T({ plot: { x: 6, y: 6 }, radius: 5, sides: 5, rotation: 0.95 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" /></svg>`;
                break;
              }
              if (i.shape === "hexagon") {
                e = `<svg viewBox="0 0 12 12" height="14" width="14"><path d="${T({ plot: { x: 6, y: 6 }, radius: 5, sides: 6, rotation: 0 }).path}" fill="${i.color}" stroke="${this.FINAL_CONFIG.chart.tooltip.backgroundColor}" stroke-width="1" /></svg>`;
                break;
              }
          }
          a += `<div style="display:flex;flex-direction:row; align-items:center;gap:3px;"><div style="width:20px">${e}</div> ${i.name}: <b>${this.FINAL_CONFIG.chart.tooltip.showValue ? this.applyDataLabel(
            i.type === "line" ? this.FINAL_CONFIG.line.labels.formatter : i.type === "bar" ? this.FINAL_CONFIG.bar.labels.formatter : this.FINAL_CONFIG.plot.labels.formatter,
            i.value,
            this.dataLabel({
              p: i.prefix,
              v: i.value,
              s: i.suffix,
              r: this.FINAL_CONFIG.chart.tooltip.roundingValue
            }),
            { datapoint: i }
          ) : ""}</b> ${this.FINAL_CONFIG.chart.tooltip.showPercentage ? `(${Z({
            v: this.checkNaN(Math.abs(i.value) / s * 100),
            s: "%",
            r: this.FINAL_CONFIG.chart.tooltip.roundingPercentage
          })})` : ""}</div>`, this.FINAL_CONFIG.chart.comments.showInTooltip && i.comments.length && i.comments.slice(this.slicer.start, this.slicer.end)[this.selectedSerieIndex] && (a += `<div class="vue-data-ui-tooltip-comment" style="background:${i.color}20; padding: 6px; margin-bottom: 6px; border-left: 1px solid ${i.color}">${i.comments.slice(this.slicer.start, this.slicer.end)[this.selectedSerieIndex]}</div>`);
        }
      }), `<div style="border-radius:4px;padding:12px;font-variant-numeric: tabular-nums;color:${this.FINAL_CONFIG.chart.tooltip.color}">${a}</div>`);
    },
    svg() {
      return {
        height: this.height,
        width: this.width
      };
    },
    yLabels() {
      return this.niceScale.ticks.map((a) => ({
        y: a >= 0 ? this.zero - this.drawingArea.height * this.ratioToMax(a) : this.zero + this.drawingArea.height * this.ratioToMax(Math.abs(a)),
        value: a,
        prefix: this.FINAL_CONFIG.chart.labels.prefix,
        suffix: this.FINAL_CONFIG.chart.labels.suffix
      }));
    },
    zero() {
      return this.drawingArea.bottom - this.drawingArea.height * this.ratioToMax(this.relativeZero);
    }
  },
  mounted() {
    this.prepareChart(), document.addEventListener("mousemove", (a) => {
      this.clientPosition = {
        x: a.clientX,
        y: a.clientY
      };
    });
  },
  methods: {
    abbreviate: ie,
    adaptColorToBackground: le,
    applyDataLabel: re,
    assignStackRatios: se,
    calcLinearProgression: ne,
    calculateNiceScaleWithExactExtremes: ce,
    checkNaN: he,
    closestDecimal: oe,
    convertColorToHex: de,
    convertConfigColors: ue,
    convertCustomPalette: ge,
    createCsvContent: fe,
    createSmoothPath: me,
    createTSpans: Ne,
    dataLabel: Z,
    downloadCsv: Ie,
    error: xe,
    functionReturnsString: be,
    hasDeepProperty: Fe,
    img: j,
    isFunction: _e,
    isSafeValue: ye,
    objectIsEmpty: Ae,
    pdf: Q,
    setOpacity: Le,
    shiftHue: Ce,
    translateSize: Se,
    treeShake: ke,
    useMouse: pe,
    useNestedProp: U,
    getHighlightAreaPosition(a) {
      const s = this.drawingArea.left + this.drawingArea.width / this.maxSeries * (a.from - this.slicer.start), h = this.drawingArea.width / (this.slicer.end - this.slicer.start) * a.span < 0 ? 1e-5 : this.drawingArea.width / (this.slicer.end - this.slicer.start) * a.span;
      return {
        x: s < this.drawingArea.left ? this.drawingArea.left : s,
        width: h
      };
    },
    prepareConfig() {
      const a = we().vue_ui_xy;
      if (!Object.keys(this.config || {}).length)
        return a;
      const s = this.useNestedProp({
        userConfig: this.config,
        defaultConfig: a
      });
      return this.config && this.hasDeepProperty(this.config, "chart.highlightArea") && (Array.isArray(this.config.chart.highlightArea) ? s.chart.highlightArea = this.config.chart.highlightArea : s.chart.highlightArea = [this.config.chart.highlightArea]), this.config && this.hasDeepProperty(this.config, "chart.grid.labels.yAxis.scaleMin") ? s.chart.grid.labels.yAxis.scaleMin = this.config.chart.grid.labels.yAxis.scaleMin : s.chart.grid.labels.yAxis.scaleMin = null, this.config && this.hasDeepProperty(this.config, "chart.grid.labels.yAxis.scaleMax") ? s.chart.grid.labels.yAxis.scaleMax = this.config.chart.grid.labels.yAxis.scaleMax : s.chart.grid.labels.yAxis.scaleMax = null, s.theme ? {
        ...U({
          userConfig: this.themes.vue_ui_xy[s.theme] || this.config,
          defaultConfig: s
        }),
        customPalette: this.themePalettes[s.theme] || this.palette
      } : s;
    },
    prepareChart() {
      if (this.objectIsEmpty(this.dataset) ? this.error({
        componentName: "VueUiXy",
        type: "dataset"
      }) : this.dataset.forEach((a, s) => {
        [null, void 0].includes(a.name) && this.error({
          componentName: "VueUiXy",
          type: "datasetSerieAttribute",
          property: "name (string)",
          index: s
        });
      }), this.FINAL_CONFIG.showWarnings && this.dataset.forEach((a) => {
        a.series.forEach((s, h) => {
          this.isSafeValue(s) || console.warn(`VueUiXy has detected an unsafe value in your dataset:
-----> The serie '${a.name}' contains the value '${s}' at index ${h}.
'${s}' was converted to null to allow the chart to display.`);
        });
      }), this.mutableConfig = {
        dataLabels: {
          show: !0
        },
        showTooltip: this.FINAL_CONFIG.chart.tooltip.show === !0,
        showTable: this.FINAL_CONFIG.showTable === !0,
        isStacked: this.FINAL_CONFIG.chart.grid.labels.yAxis.stacked,
        useIndividualScale: this.FINAL_CONFIG.chart.grid.labels.yAxis.useIndividualScale
      }, this.FINAL_CONFIG.responsive) {
        const s = this.$refs.chart.parentNode, { height: h, width: f } = s.getBoundingClientRect();
        let i = null, e = 0;
        this.FINAL_CONFIG.chart.title.show && (i = this.$refs.chartTitle, e = i.getBoundingClientRect().height);
        let x = null, _ = 0;
        this.FINAL_CONFIG.chart.zoom.show && this.maxX > 6 && this.isDataset && (x = this.$refs.chartSlicer.$el, _ = x.getBoundingClientRect().height);
        let L = null, N = 0;
        this.FINAL_CONFIG.chart.legend.show && (L = this.$refs.chartLegend, N = L.getBoundingClientRect().height), this.height = h - e - N - _, this.width = f, this.viewBox = `0 0 ${this.width < 0 ? 10 : this.width} ${this.height < 0 ? 10 : this.height}`, this.convertSizes(), new ResizeObserver((z) => {
          for (const k of z)
            this.$refs.chartTitle && (e = this.$refs.chartTitle.getBoundingClientRect().height), this.$refs.chartSlicer && this.$refs.chartSlicer.$el && (_ = this.$refs.chartSlicer.$el.getBoundingClientRect().height), this.$refs.chartLegend && (N = this.$refs.chartLegend.getBoundingClientRect().height), this.height = k.contentBoxSize[0].blockSize - e - N - _ - 24, this.width = k.contentBoxSize[0].inlineSize, this.viewBox = `0 0 ${this.width < 0 ? 10 : this.width} ${this.height < 0 ? 10 : this.height}`, this.convertSizes();
        }).observe(s);
      } else
        this.height = this.FINAL_CONFIG.chart.height, this.width = this.FINAL_CONFIG.chart.width, this.viewBox = `0 0 ${this.width} ${this.height}`, this.fontSizes.dataLabels = this.FINAL_CONFIG.chart.grid.labels.fontSize, this.fontSizes.yAxis = this.FINAL_CONFIG.chart.grid.labels.axis.fontSize, this.fontSizes.xAxis = this.FINAL_CONFIG.chart.grid.labels.xAxisLabels.fontSize, this.fontSizes.plotLabels = this.FINAL_CONFIG.chart.labels.fontSize, this.plotRadii.plot = this.FINAL_CONFIG.plot.radius, this.plotRadii.line = this.FINAL_CONFIG.line.radius;
    },
    selectMinimapIndex(a) {
      this.selectedMinimapIndex = a;
    },
    convertSizes() {
      this.fontSizes.dataLabels = this.translateSize({
        relator: this.height,
        adjuster: 400,
        source: this.FINAL_CONFIG.chart.grid.labels.fontSize,
        threshold: 10,
        fallback: 10
      }), this.fontSizes.yAxis = this.translateSize({
        relator: this.width,
        adjuster: 1e3,
        source: this.FINAL_CONFIG.chart.grid.labels.axis.fontSize,
        threshold: 10,
        fallback: 10
      }), this.fontSizes.xAxis = this.translateSize({
        relator: this.width,
        adjuster: 1e3,
        source: this.FINAL_CONFIG.chart.grid.labels.xAxisLabels.fontSize,
        threshold: 10,
        fallback: 10
      }), this.fontSizes.plotLabels = this.translateSize({
        relator: this.width,
        adjuster: 800,
        source: this.FINAL_CONFIG.chart.labels.fontSize,
        threshold: 10,
        fallback: 10
      }), this.plotRadii.plot = this.translateSize({
        relator: this.width,
        adjuster: 800,
        source: this.FINAL_CONFIG.plot.radius,
        threshold: 1,
        fallback: 1
      }), this.plotRadii.line = this.translateSize({
        relator: this.width,
        adjuster: 800,
        source: this.FINAL_CONFIG.line.radius,
        threshold: 1,
        fallback: 1
      });
    },
    toggleStack() {
      this.mutableConfig.isStacked = !this.mutableConfig.isStacked, this.mutableConfig.isStacked ? this.mutableConfig.useIndividualScale = !0 : this.mutableConfig.useIndividualScale = this.FINAL_CONFIG.chart.grid.labels.yAxis.useIndividualScale;
    },
    toggleTable() {
      this.mutableConfig.showTable = !this.mutableConfig.showTable;
    },
    toggleLabels() {
      this.mutableConfig.dataLabels.show = !this.mutableConfig.dataLabels.show;
    },
    toggleTooltip() {
      this.mutableConfig.showTooltip = !this.mutableConfig.showTooltip;
    },
    checkAutoScaleError(a) {
      a.autoScaling && (this.FINAL_CONFIG.chart.grid.labels.yAxis.useIndividualScale || console.warn(`VueUiXy (datapoint: ${a.name}) : autoScaling only works when config.chart.grid.labels.yAxis.useIndividualScale is set to true`), this.FINAL_CONFIG.chart.grid.labels.yAxis.stacked || console.warn(`VueUiXy (datapoint: ${a.name}) : autoScaling only works when config.chart.grid.labels.yAxis.stacked is set to true`));
    },
    createArea(a) {
      if (!a[0]) return [-10, -10, "", -10, -10];
      const s = { x: a[0].x, y: this.zero }, h = { x: a.at(-1).x, y: this.zero }, f = [];
      return a.forEach((i) => {
        f.push(`${i.x},${i.y} `);
      }), [s.x, s.y, ...f, h.x, h.y].toString();
    },
    createIndividualArea(a, s) {
      if (!a[0]) return [-10, -10, "", -10, -10];
      const h = { x: a[0] ? a[0].x : Math.min(...a.filter((e) => !!e).map((e) => e.x)), y: s }, f = { x: a.at(-1) ? a.at(-1).x : Math.min(...a.filter((e) => !!e).map((e) => e.x)), y: s }, i = [];
      return a.filter((e) => !!e).forEach((e) => {
        i.push(`${e.x},${e.y} `);
      }), [h.x, h.y, ...i, f.x, f.y].toString();
    },
    createStar: X,
    createPolygonPath: T,
    fillArray(a, s) {
      let h = Array(a).fill(0);
      for (let f = 0; f < s.length && f < a; f += 1)
        h[f] = s[f];
      return h;
    },
    refreshSlicer() {
      this.slicer = {
        start: 0,
        end: Math.max(...this.dataset.map((a) => a.series.length))
      }, this.slicerStep += 1;
    },
    calcRectHeight(a) {
      return a.value >= 0 ? this.checkNaN(this.zero - a.y <= 0 ? 1e-5 : this.zero - a.y) : this.checkNaN(a.y - this.zero <= 0 ? 1e-5 : a.y - this.zero);
    },
    calcIndividualHeight(a) {
      return a.value >= 0 ? this.checkNaN(a.zeroPosition - a.y <= 0 ? 1e-5 : a.zeroPosition - a.y) : this.checkNaN(a.y - a.zeroPosition <= 0 ? 1e-5 : a.zeroPosition - a.y);
    },
    calcRectWidth() {
      return this.mutableConfig.useIndividualScale && this.mutableConfig.isStacked ? this.slot.line - this.drawingArea.width / this.maxSeries * 0.1 : this.slot.bar;
    },
    calcRectX(a) {
      return this.mutableConfig.useIndividualScale && this.mutableConfig.isStacked ? a.x + this.drawingArea.width / this.maxSeries * 0.05 : a.x + this.slot.bar / 2;
    },
    calcRectY(a) {
      return a.value >= 0 ? a.y : this.zero;
    },
    calcIndividualRectY(a) {
      return a.value >= 0 ? a.y : [null, void 0, NaN, 1 / 0, -1 / 0].includes(a.zeroPosition) ? 0 : a.zeroPosition;
    },
    canShowValue(a) {
      return ![null, void 0, NaN, 1 / 0, -1 / 0].includes(a);
    },
    findClosestValue(a, s) {
      let h = s[0], f = Math.abs(a - s[0]);
      for (let i = 1; i < s.length; i += 1) {
        const e = Math.abs(a - s[i]);
        e < f && s[i] < a && (h = s[i], f = e);
      }
      return h;
    },
    ratioToMax(a) {
      return a / (this.canShowValue(this.absoluteMax) ? this.absoluteMax : 1);
    },
    selectX(a) {
      this.$emit(
        "selectX",
        {
          dataset: this.relativeDataset.map((s) => ({
            name: s.name,
            value: [null, void 0, NaN].includes(s.absoluteValues[a]) ? null : s.absoluteValues[a],
            color: s.color,
            type: s.type
          })),
          index: a,
          indexLabel: this.FINAL_CONFIG.chart.grid.labels.xAxisLabels.values[a]
        }
      );
    },
    getData() {
      return this.absoluteDataset.map((a) => ({
        values: a.absoluteValues,
        color: a.color,
        name: a.name,
        type: a.type
      }));
    },
    segregate(a) {
      if (this.segregatedSeries.includes(a.id))
        this.segregatedSeries = this.segregatedSeries.filter((s) => s !== a.id);
      else {
        if (this.segregatedSeries.length + 1 === this.safeDataset.length) return;
        this.segregatedSeries.push(a.id);
      }
      this.$emit("selectLegend", this.relativeDataset.map((s) => ({
        name: s.name,
        values: s.absoluteValues,
        color: s.color,
        type: s.type
      }))), this.segregateStep += 1;
    },
    toggleTooltipVisibility(a, s = null) {
      this.isTooltip = a, a ? this.selectedSerieIndex = s : this.selectedSerieIndex = null;
    },
    toggleFullscreen(a) {
      this.isFullscreen = a, this.step += 1;
    },
    showSpinnerPdf() {
      this.isPrinting = !0;
    },
    generatePdf() {
      this.showSpinnerPdf(), clearTimeout(this.__to__), this.__to__ = setTimeout(() => {
        this.pdf({
          domElement: document.getElementById(`vue-ui-xy_${this.uniqueId}`),
          fileName: this.FINAL_CONFIG.chart.title.text || "vue-ui-xy"
        }).finally(() => {
          this.isPrinting = !1;
        });
      }, 100);
    },
    generateCsv() {
      const a = [[this.FINAL_CONFIG.chart.title.text], [this.FINAL_CONFIG.chart.title.subtitle.text], [""]], s = ["", ...this.table.head.map((e) => e.label)], h = this.table.body, f = a.concat([s]).concat(h), i = this.createCsvContent(f);
      this.downloadCsv({ csvContent: i, title: this.FINAL_CONFIG.chart.title.text || "vue-ui-xy" });
    },
    showSpinnerImage() {
      this.isImaging = !0;
    },
    generateImage() {
      this.showSpinnerImage(), clearTimeout(this.__to__), this.__to__ = setTimeout(() => {
        this.img({
          domElement: document.getElementById(`vue-ui-xy_${this.uniqueId}`),
          fileName: this.FINAL_CONFIG.chart.title.text || "vue-ui-xy",
          format: "png"
        }).finally(() => {
          this.isImaging = !1;
        });
      }, 100);
    }
  }
}, qe = ["id"], Ze = ["viewBox"], Ue = { key: 0 }, Je = { class: "vue-ui-xy-grid" }, Qe = ["stroke", "x1", "x2", "y1", "y2"], Ke = ["stroke", "x1", "x2", "y1", "y2"], je = { key: 1 }, $e = ["x1", "x2", "y1", "y2", "stroke"], et = ["x1", "x2", "y1", "y2", "stroke"], tt = ["x1", "x2", "y1", "y2", "stroke"], at = { key: 3 }, it = ["x1", "x2", "y1", "y2", "stroke"], lt = ["id"], rt = ["stop-color"], st = ["stop-color"], nt = ["stop-color"], ct = ["id"], ht = ["stop-color"], ot = ["stop-color"], dt = ["stop-color"], ut = ["id"], gt = ["stop-color"], ft = ["stop-color"], mt = ["id"], Nt = ["stop-color"], It = ["stop-color"], xt = ["id"], bt = ["stop-color"], Ft = ["stop-color"], _t = ["x", "y", "height", "width", "fill"], yt = ["x", "y", "width"], At = ["x", "y", "height", "width", "fill"], Lt = ["x", "y", "height", "width", "rx", "fill", "stroke", "stroke-width"], Ct = ["width", "x", "y"], St = { key: 0 }, kt = ["id"], wt = ["fill"], Ot = ["x1", "x2", "y1", "y2", "stroke", "marker-end"], vt = ["x", "y", "font-size", "fill"], Gt = ["stroke", "x1", "x2", "y1", "y2"], pt = { key: 2 }, zt = ["x1", "x2", "y1", "y2", "stroke", "stroke-width", "stroke-dasharray"], Mt = ["x", "y", "width", "height", "stroke", "stroke-width", "stroke-linecap", "stroke-linejoin", "stroke-dasharray"], Tt = { key: 4 }, Pt = ["x1", "x2", "y1", "y2", "stroke", "stroke-width"], Vt = ["fill", "font-size", "transform"], Rt = ["x1", "x2", "y1", "y2", "stroke"], Dt = ["x", "y", "font-size", "fill"], Ht = ["x1", "x2", "y1", "y2", "stroke"], Wt = ["x", "y", "font-size", "fill"], Et = ["width", "x", "y"], Bt = { style: { width: "100%" } }, Yt = { key: 0 }, Xt = ["id"], qt = ["fill"], Zt = ["x1", "x2", "y1", "y2", "stroke", "marker-end"], Ut = ["x", "y", "font-size", "fill"], Jt = ["d", "stroke", "stroke-width", "stroke-dasharray"], Qt = { key: 1 }, Kt = ["x1", "x2", "y1", "y2", "stroke", "stroke-width", "stroke-dasharray"], jt = { key: 0 }, $t = ["d", "fill"], ea = ["d", "fill"], ta = ["d", "stroke", "stroke-width", "stroke-dasharray"], aa = { key: 2 }, ia = ["x1", "x2", "y1", "y2", "stroke", "stroke-width", "stroke-dasharray"], la = ["width", "x", "y"], ra = { style: { width: "100%" } }, sa = { key: 3 }, na = ["id"], ca = ["fill"], ha = ["x1", "x2", "y1", "y2", "stroke", "marker-end"], oa = ["x", "y", "font-size", "fill"], da = { key: 5 }, ua = ["x", "y", "font-size", "fill"], ga = ["x", "y", "font-size", "fill", "font-weight"], fa = { key: 6 }, ma = ["x", "y", "font-size", "fill"], Na = ["x", "y"], Ia = ["x", "y"], xa = { key: 7 }, ba = ["x", "y", "font-size", "fill"], Fa = ["x", "y"], _a = ["x", "y"], ya = ["x", "y", "font-size", "fill", "innerHTML"], Aa = ["x", "y", "font-size", "fill", "innerHTML"], La = ["x", "y", "font-size", "fill", "innerHTML"], Ca = ["x", "y", "font-size", "fill", "innerHTML"], Sa = ["x", "y", "width", "height", "fill", "onMouseenter"], ka = ["font-size", "fill", "transform"], wa = ["x", "y", "font-size", "fill"], Oa = { key: 9 }, va = ["text-anchor", "font-size", "fill", "transform"], Ga = ["x", "y", "height", "width", "onMouseenter", "onClick"], pa = { key: 10 }, za = ["x", "y"], Ma = ["cx", "cy", "r", "fill"], Ta = {
  key: 3,
  class: "vue-data-ui-watermark"
}, Pa = ["onClick"], Va = {
  key: 0,
  viewBox: "0 0 20 12",
  height: "14",
  width: "20"
}, Ra = ["fill"], Da = {
  key: 1,
  viewBox: "0 0 12 12",
  height: "14",
  width: "14"
}, Ha = ["fill"], Wa = {
  key: 7,
  ref: "chartLegend"
}, Ea = {
  style: { display: "flex", "flex-direction": "row", gap: "6px", "align-items": "center", "padding-left": "6px" },
  "data-html2canvas-ignore": ""
}, Ba = ["innerHTML"];
function Ya(a, s, h, f, i, e) {
  const x = P("Title"), _ = P("UserOptions"), L = P("Shape"), N = P("Skeleton"), C = P("Slicer"), z = P("Tooltip"), k = P("BaseIcon"), G = P("TableSparkline"), v = P("DataTable"), b = P("Accordion");
  return l(), r("div", {
    id: `vue-ui-xy_${i.uniqueId}`,
    class: M(`vue-ui-xy ${i.isFullscreen ? "vue-data-ui-wrapper-fullscreen" : ""} ${e.FINAL_CONFIG.useCssAnimation ? "" : "vue-ui-dna"}`),
    ref: "chart",
    style: A(`background:${e.FINAL_CONFIG.chart.backgroundColor}; color:${e.FINAL_CONFIG.chart.color};width:100%;${e.FINAL_CONFIG.chart.title.text ? "" : "padding-top:36px"};font-family:${e.FINAL_CONFIG.chart.fontFamily};${e.FINAL_CONFIG.responsive ? "height: 100%" : ""}`)
  }, [
    e.FINAL_CONFIG.chart.title.show ? (l(), r("div", {
      key: 0,
      ref: "chartTitle",
      class: "vue-ui-xy-title",
      style: A(`font-family:${e.FINAL_CONFIG.chart.fontFamily}`)
    }, [
      (l(), V(x, {
        key: `title_${i.titleStep}`,
        config: {
          title: {
            cy: "xy-div-title",
            ...e.FINAL_CONFIG.chart.title
          },
          subtitle: {
            cy: "xy-div-subtitle",
            ...e.FINAL_CONFIG.chart.title.subtitle
          }
        }
      }, null, 8, ["config"]))
    ], 4)) : o("", !0),
    e.FINAL_CONFIG.chart.userOptions.show && e.isDataset ? (l(), V(_, {
      ref: "defails",
      key: `user_options_${i.step}`,
      backgroundColor: e.FINAL_CONFIG.chart.backgroundColor,
      color: e.FINAL_CONFIG.chart.color,
      isPrinting: i.isPrinting,
      isImaging: i.isImaging,
      uid: i.uniqueId,
      hasTooltip: e.FINAL_CONFIG.chart.userOptions.buttons.tooltip && e.FINAL_CONFIG.chart.tooltip.show,
      hasPdf: e.FINAL_CONFIG.chart.userOptions.buttons.pdf,
      hasXls: e.FINAL_CONFIG.chart.userOptions.buttons.csv,
      hasImg: e.FINAL_CONFIG.chart.userOptions.buttons.img,
      hasLabel: e.FINAL_CONFIG.chart.userOptions.buttons.labels,
      hasTable: e.FINAL_CONFIG.chart.userOptions.buttons.table,
      hasStack: h.dataset.length > 1 && e.FINAL_CONFIG.chart.userOptions.buttons.stack,
      hasFullscreen: e.FINAL_CONFIG.chart.userOptions.buttons.fullscreen,
      isStacked: i.mutableConfig.isStacked,
      isFullscreen: i.isFullscreen,
      chartElement: a.$refs.chart,
      isTooltip: i.mutableConfig.showTooltip,
      titles: { ...e.FINAL_CONFIG.chart.userOptions.buttonTitles },
      onToggleFullscreen: e.toggleFullscreen,
      onGeneratePdf: e.generatePdf,
      onGenerateCsv: e.generateCsv,
      onGenerateImage: e.generateImage,
      onToggleTable: e.toggleTable,
      onToggleLabels: e.toggleLabels,
      onToggleStack: e.toggleStack,
      onToggleTooltip: e.toggleTooltip
    }, De({ _: 2 }, [
      a.$slots.optionTooltip ? {
        name: "optionTooltip",
        fn: p(() => [
          O(a.$slots, "optionTooltip", {}, void 0, !0)
        ]),
        key: "0"
      } : void 0,
      a.$slots.optionPdf ? {
        name: "optionPdf",
        fn: p(() => [
          O(a.$slots, "optionPdf", {}, void 0, !0)
        ]),
        key: "1"
      } : void 0,
      a.$slots.optionCsv ? {
        name: "optionCsv",
        fn: p(() => [
          O(a.$slots, "optionCsv", {}, void 0, !0)
        ]),
        key: "2"
      } : void 0,
      a.$slots.optionImg ? {
        name: "optionImg",
        fn: p(() => [
          O(a.$slots, "optionImg", {}, void 0, !0)
        ]),
        key: "3"
      } : void 0,
      a.$slots.optionTable ? {
        name: "optionTable",
        fn: p(() => [
          O(a.$slots, "optionTable", {}, void 0, !0)
        ]),
        key: "4"
      } : void 0,
      a.$slots.optionLabels ? {
        name: "optionLabels",
        fn: p(() => [
          O(a.$slots, "optionLabels", {}, void 0, !0)
        ]),
        key: "5"
      } : void 0,
      a.$slots.optionStack ? {
        name: "optionStack",
        fn: p(() => [
          O(a.$slots, "optionStack", {}, void 0, !0)
        ]),
        key: "6"
      } : void 0,
      a.$slots.optionFullscreen ? {
        name: "optionFullscreen",
        fn: p(({ toggleFullscreen: t, isFullscreen: c }) => [
          O(a.$slots, "optionFullscreen", B(Y({ toggleFullscreen: t, isFullscreen: c })), void 0, !0)
        ]),
        key: "7"
      } : void 0
    ]), 1032, ["backgroundColor", "color", "isPrinting", "isImaging", "uid", "hasTooltip", "hasPdf", "hasXls", "hasImg", "hasLabel", "hasTable", "hasStack", "hasFullscreen", "isStacked", "isFullscreen", "chartElement", "isTooltip", "titles", "onToggleFullscreen", "onGeneratePdf", "onGenerateCsv", "onGenerateImage", "onToggleTable", "onToggleLabels", "onToggleStack", "onToggleTooltip"])) : o("", !0),
    e.isDataset ? (l(), r("svg", {
      key: 2,
      xmlns: "http://www.w3.org/2000/svg",
      class: M([{ "vue-data-ui-fullscreen--on": i.isFullscreen, "vue-data-ui-fulscreen--off": !i.isFullscreen }, "vue-ui-xy-svg"]),
      width: "100%",
      viewBox: i.viewBox,
      style: A(`background: transparent; color:${e.FINAL_CONFIG.chart.color}; font-family:${e.FINAL_CONFIG.chart.fontFamily}`)
    }, [
      e.maxSeries > 0 ? (l(), r("g", Ue, [
        u("g", Je, [
          e.FINAL_CONFIG.chart.grid.labels.xAxis.showBaseline ? (l(), r("line", {
            key: 0,
            stroke: e.FINAL_CONFIG.chart.grid.stroke,
            "stroke-width": "1",
            x1: e.drawingArea.left + e.xPadding,
            x2: e.drawingArea.right - e.xPadding,
            y1: e.drawingArea.bottom,
            y2: e.drawingArea.bottom,
            "stroke-linecap": "round"
          }, null, 8, Qe)) : o("", !0),
          i.mutableConfig.useIndividualScale ? e.FINAL_CONFIG.chart.grid.showHorizontalLines ? (l(!0), r(m, { key: 2 }, I(e.allScales, (t) => (l(), r("g", null, [
            t.id === i.selectedScale && t.yLabels.length ? (l(!0), r(m, { key: 0 }, I(t.yLabels, (c) => (l(), r("line", {
              x1: e.drawingArea.left + e.xPadding,
              x2: e.drawingArea.right - e.xPadding,
              y1: e.checkNaN(c.y),
              y2: e.checkNaN(c.y),
              stroke: t.color,
              "stroke-width": 0.5,
              "stroke-linecap": "round"
            }, null, 8, et))), 256)) : t.yLabels.length ? (l(!0), r(m, { key: 1 }, I(t.yLabels, (c) => (l(), r("line", {
              x1: e.drawingArea.left + e.xPadding,
              x2: e.drawingArea.right - e.xPadding,
              y1: e.checkNaN(c.y),
              y2: e.checkNaN(c.y),
              stroke: e.FINAL_CONFIG.chart.grid.stroke,
              "stroke-width": 0.5,
              "stroke-linecap": "round"
            }, null, 8, tt))), 256)) : o("", !0)
          ]))), 256)) : o("", !0) : (l(), r(m, { key: 1 }, [
            e.FINAL_CONFIG.chart.grid.labels.yAxis.showBaseline ? (l(), r("line", {
              key: 0,
              stroke: e.FINAL_CONFIG.chart.grid.stroke,
              "stroke-width": "1",
              x1: e.drawingArea.left + e.xPadding,
              x2: e.drawingArea.left + e.xPadding,
              y1: e.drawingArea.top,
              y2: e.drawingArea.bottom,
              "stroke-linecap": "round"
            }, null, 8, Ke)) : o("", !0),
            e.FINAL_CONFIG.chart.grid.showHorizontalLines ? (l(), r("g", je, [
              (l(!0), r(m, null, I(e.yLabels, (t) => (l(), r("line", {
                x1: e.drawingArea.left + e.xPadding,
                x2: e.drawingArea.right - e.xPadding,
                y1: e.checkNaN(t.y),
                y2: e.checkNaN(t.y),
                stroke: e.FINAL_CONFIG.chart.grid.stroke,
                "stroke-width": 0.5,
                "stroke-linecap": "round"
              }, null, 8, $e))), 256))
            ])) : o("", !0)
          ], 64)),
          e.FINAL_CONFIG.chart.grid.showVerticalLines ? (l(), r("g", at, [
            (l(!0), r(m, null, I(e.maxSeries + (e.FINAL_CONFIG.chart.grid.position === "middle" ? 1 : 0), (t, c) => (l(), r("line", {
              key: `grid_vertical_line_${c}`,
              x1: e.drawingArea.width / e.maxSeries * c + e.drawingArea.left + e.xPadding,
              x2: e.drawingArea.width / e.maxSeries * c + e.drawingArea.left + e.xPadding,
              y1: e.drawingArea.top,
              y2: e.drawingArea.bottom,
              "stroke-width": "0.5",
              stroke: e.FINAL_CONFIG.chart.grid.stroke
            }, null, 8, it))), 128))
          ])) : o("", !0)
        ]),
        (l(!0), r(m, null, I(e.barSet, (t, c) => (l(), r("defs", {
          key: `def_rect_${c}`
        }, [
          u("linearGradient", {
            id: `rectGradient_pos_${c}_${i.uniqueId}`,
            x2: "0%",
            y2: "100%"
          }, [
            u("stop", {
              offset: "0%",
              "stop-color": t.color
            }, null, 8, rt),
            u("stop", {
              offset: "62%",
              "stop-color": `${e.shiftHue(t.color, 0.02)}`
            }, null, 8, st),
            u("stop", {
              offset: "100%",
              "stop-color": `${e.shiftHue(t.color, 0.05)}`
            }, null, 8, nt)
          ], 8, lt),
          u("linearGradient", {
            id: `rectGradient_neg_${c}_${i.uniqueId}`,
            x2: "0%",
            y2: "100%"
          }, [
            u("stop", {
              offset: "0%",
              "stop-color": `${e.shiftHue(t.color, 0.05)}`
            }, null, 8, ht),
            u("stop", {
              offset: "38%",
              "stop-color": `${e.shiftHue(t.color, 0.02)}`
            }, null, 8, ot),
            u("stop", {
              offset: "100%",
              "stop-color": t.color
            }, null, 8, dt)
          ], 8, ct)
        ]))), 128)),
        (l(!0), r(m, null, I(e.plotSet, (t, c) => (l(), r("defs", {
          key: `def_plot_${c}`
        }, [
          u("radialGradient", {
            id: `plotGradient_${c}_${i.uniqueId}`,
            cx: "50%",
            cy: "50%",
            r: "50%",
            fx: "50%",
            fy: "50%"
          }, [
            u("stop", {
              offset: "0%",
              "stop-color": `${e.shiftHue(t.color, 0.05)}`
            }, null, 8, gt),
            u("stop", {
              offset: "100%",
              "stop-color": t.color
            }, null, 8, ft)
          ], 8, ut)
        ]))), 128)),
        (l(!0), r(m, null, I(e.lineSet, (t, c) => (l(), r("defs", {
          key: `def_line_${c}`
        }, [
          u("radialGradient", {
            id: `lineGradient_${c}_${i.uniqueId}`,
            cx: "50%",
            cy: "50%",
            r: "50%",
            fx: "50%",
            fy: "50%"
          }, [
            u("stop", {
              offset: "0%",
              "stop-color": `${e.shiftHue(t.color, 0.05)}`
            }, null, 8, Nt),
            u("stop", {
              offset: "100%",
              "stop-color": t.color
            }, null, 8, It)
          ], 8, mt),
          u("linearGradient", {
            id: `areaGradient_${c}_${i.uniqueId}`,
            x1: "0%",
            x2: "100%",
            y1: "0%",
            y2: "0%"
          }, [
            u("stop", {
              offset: "0%",
              "stop-color": `${e.setOpacity(e.shiftHue(t.color, 0.03), e.FINAL_CONFIG.line.area.opacity)}`
            }, null, 8, bt),
            u("stop", {
              offset: "100%",
              "stop-color": `${e.setOpacity(t.color, e.FINAL_CONFIG.line.area.opacity)}`
            }, null, 8, Ft)
          ], 8, xt)
        ]))), 128)),
        (l(!0), r(m, null, I(e.highlightAreas, (t) => (l(), r("g", null, [
          t.show ? (l(!0), r(m, { key: 0 }, I(t.span, (c, n) => (l(), r("g", null, [
            u("rect", {
              style: A({
                transition: "none",
                opacity: t.from + n >= i.slicer.start && t.from + n <= i.slicer.end - 1 ? 1 : 0
              }),
              x: e.drawingArea.left + e.drawingArea.width / e.maxSeries * (t.from + n - i.slicer.start),
              y: e.drawingArea.top,
              height: e.drawingArea.height < 0 ? 10 : e.drawingArea.height,
              width: e.drawingArea.width / e.maxSeries < 0 ? 1e-5 : e.drawingArea.width / e.maxSeries,
              fill: e.setOpacity(t.color, t.opacity)
            }, null, 12, _t),
            t.caption.text && n === 0 ? (l(), r("foreignObject", {
              key: 0,
              x: e.drawingArea.left + e.drawingArea.width / e.maxSeries * (t.from + n - i.slicer.start) - (t.caption.width === "auto" ? 0 : t.caption.width / 2 - e.drawingArea.width / e.maxSeries * t.span / 2),
              y: e.drawingArea.top + t.caption.offsetY,
              style: A({
                overflow: "visible",
                opacity: t.to >= i.slicer.start && t.from < i.slicer.end ? 1 : 0
              }),
              height: "1",
              width: t.caption.width === "auto" ? e.drawingArea.width / e.maxSeries * t.span : t.caption.width
            }, [
              u("div", {
                style: A(`padding:${t.caption.padding}px;text-align:${t.caption.textAlign};font-size:${t.caption.fontSize}px;color:${t.caption.color};font-weight:${t.caption.bold ? "bold" : "normal"}`)
              }, S(t.caption.text), 5)
            ], 12, yt)) : o("", !0)
          ]))), 256)) : o("", !0)
        ]))), 256)),
        u("g", null, [
          (l(!0), r(m, null, I(e.maxSeries, (t, c) => (l(), r("g", {
            key: `tooltip_trap_${c}`
          }, [
            u("rect", {
              x: e.drawingArea.left + e.drawingArea.width / e.maxSeries * c,
              y: e.drawingArea.top,
              height: e.drawingArea.height < 0 ? 10 : e.drawingArea.height,
              width: e.drawingArea.width / e.maxSeries < 0 ? 1e-5 : e.drawingArea.width / e.maxSeries,
              fill: [i.selectedMinimapIndex, i.selectedSerieIndex, i.selectedRowIndex].includes(c) ? e.setOpacity(e.FINAL_CONFIG.chart.highlighter.color, e.FINAL_CONFIG.chart.highlighter.opacity) : "transparent"
            }, null, 8, At)
          ]))), 128))
        ]),
        e.barSet.length ? (l(!0), r(m, { key: 0 }, I(e.barSet, (t, c) => (l(), r("g", {
          key: `serie_bar_${c}`,
          class: M(`serie_bar_${c}`),
          style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
        }, [
          (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
            key: `bar_plot_${c}_${g}`
          }, [
            e.canShowValue(n.value) ? (l(), r("rect", {
              key: 0,
              x: e.calcRectX(n),
              y: i.mutableConfig.useIndividualScale ? e.calcIndividualRectY(n) : e.calcRectY(n),
              height: i.mutableConfig.useIndividualScale ? Math.abs(e.calcIndividualHeight(n)) : Math.abs(e.calcRectHeight(n)),
              width: e.calcRectWidth() - (i.mutableConfig.useIndividualScale && i.mutableConfig.isStacked ? 0 : e.barPeriodGap) < 0 ? 1e-5 : e.calcRectWidth() - (i.mutableConfig.useIndividualScale && i.mutableConfig.isStacked ? 0 : e.barPeriodGap),
              rx: e.FINAL_CONFIG.bar.borderRadius,
              fill: e.FINAL_CONFIG.bar.useGradient ? n.value >= 0 ? `url(#rectGradient_pos_${c}_${i.uniqueId})` : `url(#rectGradient_neg_${c}_${i.uniqueId})` : t.color,
              stroke: e.FINAL_CONFIG.bar.border.useSerieColor ? t.color : e.FINAL_CONFIG.bar.border.stroke,
              "stroke-width": e.FINAL_CONFIG.bar.border.strokeWidth
            }, null, 8, Lt)) : o("", !0),
            n.comment && e.FINAL_CONFIG.chart.comments.show ? (l(), r("foreignObject", {
              key: 1,
              style: { overflow: "visible" },
              height: "12",
              width: (e.calcRectWidth() - (i.mutableConfig.useIndividualScale && i.mutableConfig.isStacked ? 0 : e.barPeriodGap) < 0 ? 1e-5 : e.calcRectWidth() - (i.mutableConfig.useIndividualScale && i.mutableConfig.isStacked ? 0 : e.barPeriodGap) / 2) + e.FINAL_CONFIG.chart.comments.width,
              x: e.calcRectX(n) - e.FINAL_CONFIG.chart.comments.width / 2 + e.FINAL_CONFIG.chart.comments.offsetX,
              y: e.checkNaN(n.y) + e.FINAL_CONFIG.chart.comments.offsetY + 6
            }, [
              O(a.$slots, "plot-comment", {
                plot: { ...n, color: t.color }
              }, void 0, !0)
            ], 8, Ct)) : o("", !0)
          ]))), 128)),
          Object.hasOwn(t, "useProgression") && t.useProgression === !0 && !isNaN(e.calcLinearProgression(t.plots).trend) ? (l(), r("g", St, [
            u("defs", null, [
              u("marker", {
                id: `bar_arrow_${c}`,
                markerWidth: 7,
                markerHeight: 7,
                refX: "0",
                refY: 7 / 2,
                orient: "auto"
              }, [
                u("polygon", {
                  points: `0 0, 7 ${7 / 2}, 0 7`,
                  fill: t.color
                }, null, 8, wt)
              ], 8, kt)
            ]),
            t.plots.length > 1 ? (l(), r("line", {
              key: 0,
              x1: e.calcLinearProgression(t.plots).x1,
              x2: e.calcLinearProgression(t.plots).x2,
              y1: e.calcLinearProgression(t.plots).y1,
              y2: e.calcLinearProgression(t.plots).y2,
              "stroke-width": 1,
              stroke: t.color,
              "stroke-dasharray": 2,
              "marker-end": `url(#bar_arrow_${c})`
            }, null, 8, Ot)) : o("", !0),
            t.plots.length > 1 ? (l(), r("text", {
              key: 1,
              "text-anchor": "middle",
              x: e.calcLinearProgression(t.plots).x2,
              y: e.calcLinearProgression(t.plots).y2 - 6,
              "font-size": i.fontSizes.plotLabels,
              fill: t.color
            }, S(e.dataLabel({
              v: e.calcLinearProgression(t.plots).trend * 100,
              s: "%",
              r: 2
            })), 9, vt)) : o("", !0)
          ])) : o("", !0)
        ], 6))), 128)) : o("", !0),
        !i.mutableConfig.useIndividualScale && e.FINAL_CONFIG.chart.grid.labels.zeroLine.show ? (l(), r("line", {
          key: 1,
          stroke: e.FINAL_CONFIG.chart.grid.stroke,
          "stroke-width": "1",
          x1: e.drawingArea.left + e.xPadding,
          x2: e.drawingArea.right - e.xPadding,
          y1: e.checkNaN(e.zero),
          y2: e.checkNaN(e.zero),
          "stroke-linecap": "round"
        }, null, 8, Gt)) : o("", !0),
        e.FINAL_CONFIG.chart.highlighter.useLine && (![null, void 0].includes(i.selectedSerieIndex) || i.selectedMinimapIndex !== null) ? (l(), r("g", pt, [
          u("line", {
            x1: e.drawingArea.left + e.drawingArea.width / e.maxSeries * (i.selectedSerieIndex || i.selectedMinimapIndex) + e.drawingArea.width / e.maxSeries / 2,
            x2: e.drawingArea.left + e.drawingArea.width / e.maxSeries * (i.selectedSerieIndex || i.selectedMinimapIndex) + e.drawingArea.width / e.maxSeries / 2,
            y1: e.drawingArea.top,
            y2: e.drawingArea.bottom,
            stroke: e.FINAL_CONFIG.chart.highlighter.color,
            "stroke-width": e.FINAL_CONFIG.chart.highlighter.lineWidth,
            "stroke-dasharray": e.FINAL_CONFIG.chart.highlighter.lineDasharray,
            "stroke-linecap": "round",
            style: { transition: "none !important", animation: "none !important", "pointer-events": "none" }
          }, null, 8, zt)
        ])) : o("", !0),
        e.FINAL_CONFIG.chart.grid.frame.show ? (l(), r("rect", {
          key: 3,
          style: { pointerEvents: "none", transition: "none" },
          x: e.drawingArea.left + e.xPadding < 0 ? 0 : e.drawingArea.left + e.xPadding,
          y: e.drawingArea.top,
          width: e.drawingArea.width - (e.FINAL_CONFIG.chart.grid.position === "middle" ? 0 : e.drawingArea.width / e.maxSeries) < 0 ? 0 : e.drawingArea.width - (e.FINAL_CONFIG.chart.grid.position === "middle" ? 0 : e.drawingArea.width / e.maxSeries),
          height: e.drawingArea.height < 0 ? 0 : e.drawingArea.height,
          fill: "transparent",
          stroke: e.FINAL_CONFIG.chart.grid.frame.stroke,
          "stroke-width": e.FINAL_CONFIG.chart.grid.frame.strokeWidth,
          "stroke-linecap": e.FINAL_CONFIG.chart.grid.frame.strokeLinecap,
          "stroke-linejoin": e.FINAL_CONFIG.chart.grid.frame.strokeLinejoin,
          "stroke-dasharray": e.FINAL_CONFIG.chart.grid.frame.strokeDasharray
        }, null, 8, Mt)) : o("", !0),
        e.FINAL_CONFIG.chart.grid.labels.show ? (l(), r("g", Tt, [
          i.mutableConfig.useIndividualScale ? (l(), r(m, { key: 0 }, [
            (l(!0), r(m, null, I(e.allScales, (t) => (l(), r("g", null, [
              u("line", {
                x1: t.x + e.xPadding,
                x2: t.x + e.xPadding,
                y1: i.mutableConfig.isStacked ? e.checkNaN(e.drawingArea.bottom - t.yOffset - t.individualHeight) : e.checkNaN(e.drawingArea.top),
                y2: i.mutableConfig.isStacked ? e.checkNaN(e.drawingArea.bottom - t.yOffset) : e.checkNaN(e.drawingArea.bottom),
                stroke: t.color,
                "stroke-width": e.FINAL_CONFIG.chart.grid.stroke,
                "stroke-linecap": "round",
                style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.3 : 1};transition:opacity 0.2s ease-in-out`)
              }, null, 12, Pt)
            ]))), 256)),
            (l(!0), r(m, null, I(e.allScales, (t) => (l(), r("g", {
              style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.3 : 1};transition:opacity 0.2s ease-in-out`)
            }, [
              u("text", {
                fill: t.color,
                "font-size": i.fontSizes.dataLabels,
                "text-anchor": "middle",
                transform: `translate(${t.x - e.FINAL_CONFIG.chart.grid.labels.yAxis.labelWidth + 5}, ${i.mutableConfig.isStacked ? e.drawingArea.bottom - t.yOffset - t.individualHeight / 2 : e.drawingArea.top + e.drawingArea.height / 2}) rotate(-90)`
              }, S(t.name) + " " + S(t.scaleLabel ? `- ${t.scaleLabel}` : ""), 9, Vt),
              (l(!0), r(m, null, I(t.yLabels, (c, n) => (l(), r("line", {
                x1: t.x - 3 + e.xPadding,
                x2: t.x + e.xPadding,
                y1: e.checkNaN(c.y),
                y2: e.checkNaN(c.y),
                stroke: t.color,
                "stroke-width": 1,
                "stroke-linecap": "round"
              }, null, 8, Rt))), 256)),
              (l(!0), r(m, null, I(t.yLabels, (c, n) => (l(), r("text", {
                x: t.x - 5 + e.xPadding,
                y: e.checkNaN(c.y) + i.fontSizes.dataLabels / 3,
                "font-size": i.fontSizes.dataLabels,
                "text-anchor": "end",
                fill: t.color
              }, S(e.applyDataLabel(
                e.FINAL_CONFIG.chart.grid.labels.yAxis.formatter,
                c.value,
                e.dataLabel({
                  p: c.prefix,
                  v: c.value,
                  s: c.suffix,
                  r: 1
                }),
                { datapoint: c.datapoint, seriesIndex: n }
              )), 9, Dt))), 256))
            ], 4))), 256))
          ], 64)) : (l(!0), r(m, { key: 1 }, I(e.yLabels, (t, c) => (l(), r("g", {
            key: `yLabel_${c}`
          }, [
            e.canShowValue(t) && t.value >= e.niceScale.min && t.value <= e.niceScale.max ? (l(), r("line", {
              key: 0,
              x1: e.drawingArea.left + e.xPadding,
              x2: e.drawingArea.left - 5 + e.xPadding,
              y1: e.checkNaN(t.y),
              y2: e.checkNaN(t.y),
              stroke: e.FINAL_CONFIG.chart.grid.stroke,
              "stroke-width": "1",
              "stroke-linecap": "round"
            }, null, 8, Ht)) : o("", !0),
            t.value >= e.niceScale.min && t.value <= e.niceScale.max ? (l(), r("text", {
              key: 1,
              x: e.drawingArea.left - 7 + e.xPadding,
              y: e.checkNaN(t.y + i.fontSizes.dataLabels / 3),
              "font-size": i.fontSizes.dataLabels,
              "text-anchor": "end",
              fill: e.FINAL_CONFIG.chart.grid.labels.color
            }, S(e.canShowValue(t.value) ? e.applyDataLabel(
              e.FINAL_CONFIG.chart.grid.labels.yAxis.formatter,
              t.value,
              e.dataLabel({
                p: t.prefix,
                v: t.value,
                s: t.suffix,
                r: 1
              })
            ) : ""), 9, Wt)) : o("", !0)
          ]))), 128))
        ])) : o("", !0),
        (l(!0), r(m, null, I(e.plotSet, (t, c) => (l(), r("g", {
          key: `serie_plot_${c}`,
          class: M(`serie_plot_${c}`),
          style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
        }, [
          (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
            key: `circle_plot_${c}_${g}`
          }, [
            e.canShowValue(n.value) ? (l(), V(L, {
              key: 0,
              shape: ["triangle", "square", "diamond", "pentagon", "hexagon", "star"].includes(t.shape) ? t.shape : "circle",
              color: e.FINAL_CONFIG.plot.useGradient ? `url(#plotGradient_${c}_${i.uniqueId})` : t.color,
              plot: { x: e.checkNaN(n.x), y: e.checkNaN(n.y) },
              radius: i.selectedSerieIndex !== null && i.selectedSerieIndex === g || i.selectedMinimapIndex !== null && i.selectedMinimapIndex === g ? (i.plotRadii.plot || 6) * 1.5 : i.plotRadii.plot || 6,
              stroke: e.FINAL_CONFIG.chart.backgroundColor,
              strokeWidth: 0.5
            }, null, 8, ["shape", "color", "plot", "radius", "stroke"])) : o("", !0),
            n.comment && e.FINAL_CONFIG.chart.comments.show ? (l(), r("foreignObject", {
              key: 1,
              style: { overflow: "visible" },
              height: "12",
              width: e.FINAL_CONFIG.chart.comments.width,
              x: n.x - e.FINAL_CONFIG.chart.comments.width / 2 + e.FINAL_CONFIG.chart.comments.offsetX,
              y: n.y + e.FINAL_CONFIG.chart.comments.offsetY + 6
            }, [
              u("div", Bt, [
                O(a.$slots, "plot-comment", {
                  plot: { ...n, color: t.color }
                }, void 0, !0)
              ])
            ], 8, Et)) : o("", !0)
          ]))), 128)),
          Object.hasOwn(t, "useProgression") && t.useProgression === !0 && !isNaN(e.calcLinearProgression(t.plots).trend) ? (l(), r("g", Yt, [
            u("defs", null, [
              u("marker", {
                id: `plot_arrow_${c}`,
                markerWidth: 7,
                markerHeight: 7,
                refX: "0",
                refY: 7 / 2,
                orient: "auto"
              }, [
                u("polygon", {
                  points: `0 0, 7 ${7 / 2}, 0 7`,
                  fill: t.color
                }, null, 8, qt)
              ], 8, Xt)
            ]),
            t.plots.length > 1 ? (l(), r("line", {
              key: 0,
              x1: e.calcLinearProgression(t.plots).x1,
              x2: e.calcLinearProgression(t.plots).x2,
              y1: e.calcLinearProgression(t.plots).y1,
              y2: e.calcLinearProgression(t.plots).y2,
              "stroke-width": 1,
              stroke: t.color,
              "stroke-dasharray": 2,
              "marker-end": `url(#plot_arrow_${c})`
            }, null, 8, Zt)) : o("", !0),
            t.plots.length > 1 ? (l(), r("text", {
              key: 1,
              "text-anchor": "middle",
              x: e.calcLinearProgression(t.plots).x2,
              y: e.calcLinearProgression(t.plots).y2 - 6,
              "font-size": i.fontSizes.plotLabels,
              fill: t.color
            }, S(e.dataLabel({
              v: e.calcLinearProgression(t.plots).trend * 100,
              s: "%",
              r: 2
            })), 9, Ut)) : o("", !0)
          ])) : o("", !0)
        ], 6))), 128)),
        (l(!0), r(m, null, I(e.lineSet, (t, c) => (l(), r("g", {
          key: `serie_line_${c}`,
          class: M(`serie_line_${c}`),
          style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
        }, [
          t.smooth && t.plots.length > 1 ? (l(), r("path", {
            key: 0,
            d: `M${t.curve}`,
            stroke: e.FINAL_CONFIG.chart.backgroundColor,
            "stroke-width": e.FINAL_CONFIG.line.strokeWidth + 1,
            "stroke-dasharray": t.dashed ? e.FINAL_CONFIG.line.strokeWidth * 2 : 0,
            fill: "none"
          }, null, 8, Jt)) : t.plots.length > 1 ? (l(), r("g", Qt, [
            (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
              key: `line_${c}_${g}`
            }, [
              n && g < t.plots.length - 1 && t.plots[g + 1] && e.canShowValue(n.value) && e.canShowValue(t.plots[g + 1].value) ? (l(), r("line", {
                key: 0,
                x1: n.x,
                x2: t.plots[g + 1].x,
                y1: n.y,
                y2: t.plots[g + 1].y,
                stroke: e.FINAL_CONFIG.chart.backgroundColor,
                "stroke-width": e.FINAL_CONFIG.line.strokeWidth + 1,
                "stroke-dasharray": t.dashed ? e.FINAL_CONFIG.line.strokeWidth * 2 : 0,
                "stroke-linejoin": "round",
                "stroke-linecap": "round"
              }, null, 8, Kt)) : o("", !0)
            ]))), 128))
          ])) : o("", !0)
        ], 6))), 128)),
        (l(!0), r(m, null, I(e.lineSet, (t, c) => (l(), r("g", {
          key: `serie_line_${c}`,
          class: M(`serie_line_${c}`),
          style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
        }, [
          t.useArea && t.plots.length > 1 ? (l(), r("g", jt, [
            t.smooth ? (l(), r("path", {
              key: 0,
              d: `M ${t.plots[0] ? t.plots[0].x : Math.min(...t.plots.filter((n) => !!n).map((n) => n.x))},${i.mutableConfig.isStacked ? e.drawingArea.bottom - t.yOffset : e.drawingArea.bottom} ${t.curve} L ${t.plots.at(-1) ? t.plots.at(-1).x : e.drawingArea.left + e.slot.line * c + e.slot.line / 2},${i.mutableConfig.isStacked ? e.drawingArea.bottom - t.yOffset : e.drawingArea.bottom} Z`,
              fill: e.FINAL_CONFIG.line.area.useGradient ? `url(#areaGradient_${c}_${i.uniqueId})` : e.setOpacity(t.color, e.FINAL_CONFIG.line.area.opacity)
            }, null, 8, $t)) : (l(), r("path", {
              key: 1,
              d: `M${t.area}Z`,
              fill: e.FINAL_CONFIG.line.area.useGradient ? `url(#areaGradient_${c}_${i.uniqueId})` : e.setOpacity(t.color, e.FINAL_CONFIG.line.area.opacity)
            }, null, 8, ea))
          ])) : o("", !0),
          t.smooth && t.plots.length > 1 ? (l(), r("path", {
            key: 1,
            d: `M${t.curve}`,
            stroke: t.color,
            "stroke-width": e.FINAL_CONFIG.line.strokeWidth,
            "stroke-dasharray": t.dashed ? e.FINAL_CONFIG.line.strokeWidth * 2 : 0,
            fill: "none"
          }, null, 8, ta)) : t.plots.length > 1 ? (l(), r("g", aa, [
            (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
              key: `line_${c}_${g}`
            }, [
              n && g < t.plots.length - 1 && t.plots[g + 1] && e.canShowValue(n.value) && e.canShowValue(t.plots[g + 1].value) ? (l(), r("line", {
                key: 0,
                x1: n.x,
                x2: t.plots[g + 1].x,
                y1: n.y,
                y2: t.plots[g + 1].y,
                stroke: t.color,
                "stroke-width": e.FINAL_CONFIG.line.strokeWidth,
                "stroke-dasharray": t.dashed ? e.FINAL_CONFIG.line.strokeWidth * 2 : 0,
                "stroke-linejoin": "round",
                "stroke-linecap": "round"
              }, null, 8, ia)) : o("", !0)
            ]))), 128))
          ])) : o("", !0),
          (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
            key: `circle_line_${c}_${g}`
          }, [
            n && e.canShowValue(n.value) ? (l(), V(L, {
              key: 0,
              shape: ["triangle", "square", "diamond", "pentagon", "hexagon", "star"].includes(t.shape) ? t.shape : "circle",
              color: e.FINAL_CONFIG.line.useGradient ? `url(#lineGradient_${c}_${i.uniqueId})` : t.color,
              plot: { x: e.checkNaN(n.x), y: e.checkNaN(n.y) },
              radius: i.selectedSerieIndex !== null && i.selectedSerieIndex === g || i.selectedMinimapIndex !== null && i.selectedMinimapIndex === g ? (i.plotRadii.line || 6) * 1.5 : i.plotRadii.line || 6,
              stroke: e.FINAL_CONFIG.chart.backgroundColor,
              strokeWidth: 0.5
            }, null, 8, ["shape", "color", "plot", "radius", "stroke"])) : o("", !0),
            n.comment && e.FINAL_CONFIG.chart.comments.show ? (l(), r("foreignObject", {
              key: 1,
              style: { overflow: "visible" },
              height: "12",
              width: e.FINAL_CONFIG.chart.comments.width,
              x: n.x - e.FINAL_CONFIG.chart.comments.width / 2 + e.FINAL_CONFIG.chart.comments.offsetX,
              y: n.y + e.FINAL_CONFIG.chart.comments.offsetY + 6
            }, [
              u("div", ra, [
                O(a.$slots, "plot-comment", {
                  plot: { ...n, color: t.color }
                }, void 0, !0)
              ])
            ], 8, la)) : o("", !0)
          ]))), 128)),
          Object.hasOwn(t, "useProgression") && t.useProgression === !0 && !isNaN(e.calcLinearProgression(t.plots).trend) ? (l(), r("g", sa, [
            u("defs", null, [
              u("marker", {
                id: `line_arrow_${c}`,
                markerWidth: 7,
                markerHeight: 7,
                refX: "0",
                refY: 7 / 2,
                orient: "auto"
              }, [
                u("polygon", {
                  points: `0 0, 7 ${7 / 2}, 0 7`,
                  fill: t.color
                }, null, 8, ca)
              ], 8, na)
            ]),
            t.plots.length > 1 ? (l(), r("line", {
              key: 0,
              x1: e.calcLinearProgression(t.plots).x1,
              x2: e.calcLinearProgression(t.plots).x2,
              y1: e.calcLinearProgression(t.plots).y1,
              y2: e.calcLinearProgression(t.plots).y2,
              "stroke-width": 1,
              stroke: t.color,
              "stroke-dasharray": 2,
              "marker-end": `url(#line_arrow_${c})`
            }, null, 8, ha)) : o("", !0),
            t.plots.length > 1 ? (l(), r("text", {
              key: 1,
              "text-anchor": "middle",
              x: e.calcLinearProgression(t.plots).x2,
              y: e.calcLinearProgression(t.plots).y2 - 6,
              "font-size": i.fontSizes.plotLabels,
              fill: t.color
            }, S(e.dataLabel({
              v: e.calcLinearProgression(t.plots).trend * 100,
              s: "%",
              r: 2
            })), 9, oa)) : o("", !0)
          ])) : o("", !0)
        ], 6))), 128)),
        (e.FINAL_CONFIG.bar.labels.show || e.FINAL_CONFIG.bar.serieName.show) && i.mutableConfig.dataLabels.show ? (l(), r("g", da, [
          (l(!0), r(m, null, I(e.barSet, (t, c) => (l(), r("g", {
            key: `xLabel_bar_${c}`,
            class: M(`xLabel_bar_${c}`),
            style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
          }, [
            (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
              key: `xLabel_bar_${c}_${g}`
            }, [
              n && (!Object.hasOwn(t, "dataLabels") || t.dataLabels === !0) && e.FINAL_CONFIG.bar.labels.show ? (l(), r("text", {
                key: 0,
                x: i.mutableConfig.useIndividualScale && i.mutableConfig.isStacked ? n.x + e.slot.line / 2 : e.calcRectX(n) + e.calcRectWidth() / 2 - e.barPeriodGap / 2,
                y: e.checkNaN(n.y) + (n.value > 0 ? e.FINAL_CONFIG.bar.labels.offsetY : -e.FINAL_CONFIG.bar.labels.offsetY * 3),
                "text-anchor": "middle",
                "font-size": i.fontSizes.plotLabels,
                fill: e.FINAL_CONFIG.bar.labels.color
              }, S(e.canShowValue(n.value) ? e.applyDataLabel(
                e.FINAL_CONFIG.bar.labels.formatter,
                n.value,
                e.dataLabel({
                  p: t.prefix || e.FINAL_CONFIG.chart.labels.prefix,
                  v: n.value,
                  s: t.suffix || e.FINAL_CONFIG.chart.labels.suffix,
                  r: e.FINAL_CONFIG.bar.labels.rounding
                }),
                {
                  datapoint: n,
                  serie: t
                }
              ) : ""), 9, ua)) : o("", !0),
              n && e.FINAL_CONFIG.bar.serieName.show ? (l(), r("text", {
                key: 1,
                x: i.mutableConfig.useIndividualScale && i.mutableConfig.isStacked ? n.x + e.slot.line / 2 : n.x + e.calcRectWidth() * 1.1,
                y: n.y + (n.value > 0 ? e.FINAL_CONFIG.bar.serieName.offsetY : -e.FINAL_CONFIG.bar.serieName.offsetY * 3),
                "text-anchor": "middle",
                "font-size": i.fontSizes.plotLabels,
                fill: e.FINAL_CONFIG.bar.serieName.useSerieColor ? t.color : e.FINAL_CONFIG.bar.serieName.color,
                "font-weight": e.FINAL_CONFIG.bar.serieName.bold ? "bold" : "normal"
              }, S(e.FINAL_CONFIG.bar.serieName.useAbbreviation ? e.abbreviate({ source: t.name, length: e.FINAL_CONFIG.bar.serieName.abbreviationSize }) : t.name), 9, ga)) : o("", !0)
            ]))), 128))
          ], 6))), 128))
        ])) : o("", !0),
        e.FINAL_CONFIG.plot.labels.show && i.mutableConfig.dataLabels.show ? (l(), r("g", fa, [
          (l(!0), r(m, null, I(e.plotSet, (t, c) => (l(), r("g", {
            key: `xLabel_plot_${c}`,
            class: M(`xLabel_plot_${c}`),
            style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
          }, [
            (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
              key: `xLabel_plot_${c}_${g}`
            }, [
              n && !Object.hasOwn(t, "dataLabels") || t.dataLabels === !0 ? (l(), r("text", {
                key: 0,
                x: n.x,
                y: n.y + e.FINAL_CONFIG.plot.labels.offsetY,
                "text-anchor": "middle",
                "font-size": i.fontSizes.plotLabels,
                fill: e.FINAL_CONFIG.plot.labels.color
              }, S(e.canShowValue(n.value) ? e.applyDataLabel(
                e.FINAL_CONFIG.plot.labels.formatter,
                n.value,
                e.dataLabel({
                  p: t.prefix || e.FINAL_CONFIG.chart.labels.prefix,
                  v: n.value,
                  s: t.suffix || e.FINAL_CONFIG.chart.labels.suffix,
                  r: e.FINAL_CONFIG.plot.labels.rounding
                }),
                {
                  datapoint: n,
                  serie: t
                }
              ) : ""), 9, ma)) : o("", !0),
              n && g === 0 && t.useTag && t.useTag === "start" ? (l(), r("foreignObject", {
                key: 1,
                x: n.x,
                y: n.y - 20,
                height: 24,
                width: "150",
                style: { overflow: "visible" }
              }, [
                u("div", {
                  style: A(`padding: 3px; background:${e.setOpacity(t.color, 80)};color:${e.adaptColorToBackground(t.color)};width:fit-content;font-size:${i.fontSizes.plotLabels}px;border-radius: 2px;`)
                }, S(t.name), 5)
              ], 8, Na)) : o("", !0),
              n && g === t.plots.length - 1 && t.useTag && t.useTag === "end" ? (l(), r("foreignObject", {
                key: 2,
                x: n.x - t.name.length * (i.fontSizes.plotLabels / 2),
                y: n.y - 20,
                height: 24,
                width: "150",
                style: { overflow: "visible" }
              }, [
                u("div", {
                  style: A(`padding: 3px; background:${e.setOpacity(t.color, 80)};color:${e.adaptColorToBackground(t.color)};width:fit-content;font-size:${i.fontSizes.plotLabels}px;border-radius: 2px;`)
                }, S(t.name), 5)
              ], 8, Ia)) : o("", !0)
            ]))), 128))
          ], 6))), 128))
        ])) : o("", !0),
        e.FINAL_CONFIG.line.labels.show && i.mutableConfig.dataLabels.show ? (l(), r("g", xa, [
          (l(!0), r(m, null, I(e.lineSet, (t, c) => (l(), r("g", {
            key: `xLabel_line_${c}`,
            class: M(`xLabel_line_${c}`),
            style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
          }, [
            (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
              key: `xLabel_line_${c}_${g}`
            }, [
              n && !Object.hasOwn(t, "dataLabels") || t.dataLabels === !0 ? (l(), r("text", {
                key: 0,
                x: n.x,
                y: n.y + (n.value > 0 ? e.FINAL_CONFIG.line.labels.offsetY : -e.FINAL_CONFIG.line.labels.offsetY * 3),
                "text-anchor": "middle",
                "font-size": i.fontSizes.plotLabels,
                fill: e.FINAL_CONFIG.line.labels.color
              }, S(e.canShowValue(n.value) ? e.applyDataLabel(
                e.FINAL_CONFIG.line.labels.formatter,
                n.value,
                e.dataLabel({
                  p: t.prefix || e.FINAL_CONFIG.chart.labels.prefix,
                  v: n.value,
                  s: t.suffix || e.FINAL_CONFIG.chart.labels.suffix,
                  r: e.FINAL_CONFIG.line.labels.rounding
                }),
                {
                  datapoint: n,
                  serie: t
                }
              ) : ""), 9, ba)) : o("", !0),
              n && g === 0 && t.useTag && t.useTag === "start" ? (l(), r("foreignObject", {
                key: 1,
                x: n.x,
                y: n.y - 20,
                height: 24,
                width: "150",
                style: { overflow: "visible" }
              }, [
                u("div", {
                  style: A(`padding: 3px; background:${e.setOpacity(t.color, 80)};color:${e.adaptColorToBackground(t.color)};width:fit-content;font-size:${i.fontSizes.plotLabels}px;border-radius: 2px;`)
                }, S(t.name), 5)
              ], 8, Fa)) : o("", !0),
              n && g === t.plots.length - 1 && t.useTag && t.useTag === "end" ? (l(), r("foreignObject", {
                key: 2,
                x: n.x - t.name.length * (i.fontSizes.plotLabels / 2),
                y: n.y - 20,
                height: 24,
                width: "150",
                style: { overflow: "visible" }
              }, [
                u("div", {
                  style: A(`padding: 3px; background:${e.setOpacity(t.color, 80)};color:${e.adaptColorToBackground(t.color)};width:fit-content;font-size:${i.fontSizes.plotLabels}px;border-radius: 2px;`)
                }, S(t.name), 5)
              ], 8, _a)) : o("", !0)
            ]))), 128))
          ], 6))), 128))
        ])) : o("", !0),
        (l(!0), r(m, null, I(e.lineSet, (t, c) => (l(), r("g", {
          key: `xLabel_line_${c}`,
          class: M(`xLabel_line_${c}`),
          style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
        }, [
          (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
            key: `xLabel_line_${c}_${g}`
          }, [
            n && g === 0 && t.showSerieName && t.showSerieName === "start" ? (l(), r("text", {
              key: 0,
              x: n.x - i.fontSizes.plotLabels,
              y: n.y,
              "font-size": i.fontSizes.plotLabels,
              "text-anchor": "end",
              fill: t.color,
              innerHTML: e.createTSpans({
                content: t.name,
                fontSize: i.fontSizes.plotLabels,
                fill: t.color,
                x: n.x - i.fontSizes.plotLabels,
                y: n.y,
                maxWords: 2
              })
            }, null, 8, ya)) : o("", !0),
            n && g === t.plots.length - 1 && t.showSerieName && t.showSerieName === "end" ? (l(), r("text", {
              key: 1,
              x: n.x + i.fontSizes.plotLabels,
              y: n.y,
              "font-size": i.fontSizes.plotLabels,
              "text-anchor": "start",
              fill: t.color,
              innerHTML: e.createTSpans({
                content: t.name,
                fontSize: i.fontSizes.plotLabels,
                fill: t.color,
                x: n.x + i.fontSizes.plotLabels,
                y: n.y,
                maxWords: 2
              })
            }, null, 8, Aa)) : o("", !0)
          ]))), 128))
        ], 6))), 128)),
        (l(!0), r(m, null, I(e.plotSet, (t, c) => (l(), r("g", {
          key: `xLabel_plot_${c}`,
          class: M(`xLabel_plot_${c}`),
          style: A(`opacity:${i.selectedScale ? i.selectedScale === t.id ? 1 : 0.2 : 1};transition:opacity 0.2s ease-in-out`)
        }, [
          (l(!0), r(m, null, I(t.plots, (n, g) => (l(), r("g", {
            key: `xLabel_plot_${c}_${g}`
          }, [
            n && g === 0 && t.showSerieName && t.showSerieName === "start" ? (l(), r("text", {
              key: 0,
              x: n.x - i.fontSizes.plotLabels,
              y: n.y,
              "font-size": i.fontSizes.plotLabels,
              "text-anchor": "end",
              fill: t.color,
              innerHTML: e.createTSpans({
                content: t.name,
                fontSize: i.fontSizes.plotLabels,
                fill: t.color,
                x: n.x - i.fontSizes.plotLabels,
                y: n.y,
                maxWords: 2
              })
            }, null, 8, La)) : o("", !0),
            n && g === t.plots.length - 1 && t.showSerieName && t.showSerieName === "end" ? (l(), r("text", {
              key: 1,
              x: n.x + i.fontSizes.plotLabels,
              y: n.y,
              "font-size": i.fontSizes.plotLabels,
              "text-anchor": "start",
              fill: t.color,
              innerHTML: e.createTSpans({
                content: t.name,
                fontSize: i.fontSizes.plotLabels,
                fill: t.color,
                x: n.x + i.fontSizes.plotLabels,
                y: n.y,
                maxWords: 2
              })
            }, null, 8, Ca)) : o("", !0)
          ]))), 128))
        ], 6))), 128)),
        i.mutableConfig.useIndividualScale && !i.mutableConfig.isStacked ? (l(!0), r(m, { key: 8 }, I(e.allScales, (t) => (l(), r("rect", {
          x: t.x - e.FINAL_CONFIG.chart.grid.labels.yAxis.labelWidth,
          y: e.drawingArea.top,
          width: e.FINAL_CONFIG.chart.grid.labels.yAxis.labelWidth,
          height: e.drawingArea.height < 0 ? 10 : e.drawingArea.height,
          fill: i.selectedScale === t.id ? e.setOpacity(t.color, 20) : "transparent",
          onMouseenter: (c) => i.selectedScale = t.id,
          onMouseleave: s[0] || (s[0] = (c) => i.selectedScale = null)
        }, null, 40, Sa))), 256)) : o("", !0),
        u("g", null, [
          e.FINAL_CONFIG.chart.grid.labels.axis.yLabel && !i.mutableConfig.useIndividualScale ? (l(), r("text", {
            key: 0,
            "font-size": i.fontSizes.yAxis,
            fill: e.FINAL_CONFIG.chart.grid.labels.color,
            transform: `translate(${i.fontSizes.yAxis + e.FINAL_CONFIG.chart.grid.labels.axis.yLabelOffsetX}, ${e.drawingArea.top + e.drawingArea.height / 2}) rotate(-90)`,
            "text-anchor": "middle",
            style: { transition: "none" }
          }, S(e.FINAL_CONFIG.chart.grid.labels.axis.yLabel), 9, ka)) : o("", !0),
          e.FINAL_CONFIG.chart.grid.labels.axis.xLabel ? (l(), r("text", {
            key: 1,
            "text-anchor": "middle",
            x: i.width / 2,
            y: e.drawingArea.bottom + i.fontSizes.yAxis + i.fontSizes.xAxis * 1.3 + e.FINAL_CONFIG.chart.grid.labels.axis.xLabelOffsetY,
            "font-size": i.fontSizes.yAxis,
            fill: e.FINAL_CONFIG.chart.grid.labels.color
          }, S(e.FINAL_CONFIG.chart.grid.labels.axis.xLabel), 9, wa)) : o("", !0)
        ]),
        e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.show ? (l(), r("g", Oa, [
          (l(!0), r(m, null, I(e.timeLabels, (t, c) => (l(), r("g", {
            key: `time_label_${c}`
          }, [
            t && !e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyFirstAndLast && !e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyAtModulo || t && e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyFirstAndLast && (c === 0 || c === e.timeLabels.length - 1) && !e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyAtModulo || t && e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyFirstAndLast && i.selectedSerieIndex === c && !e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyAtModulo || t && !e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyFirstAndLast && e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.showOnlyAtModulo && c % Math.floor((this.slicer.end - this.slicer.start) / e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.modulo) === 0 ? (l(), r("text", {
              key: 0,
              "text-anchor": e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.rotation > 0 ? "start" : e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.rotation < 0 ? "end" : "middle",
              "font-size": i.fontSizes.xAxis,
              fill: e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.color,
              transform: `translate(${e.drawingArea.left + e.drawingArea.width / e.maxSeries * c + e.drawingArea.width / e.maxSeries / 2}, ${e.drawingArea.bottom + i.fontSizes.xAxis * 1.3 + e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.yOffset}), rotate(${e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.rotation})`
            }, S(t || ""), 9, va)) : o("", !0)
          ]))), 128))
        ])) : o("", !0),
        u("g", null, [
          (l(!0), r(m, null, I(e.maxSeries, (t, c) => (l(), r("g", {
            key: `tooltip_trap_${c}`
          }, [
            u("rect", {
              "data-cy-trap": "",
              x: e.drawingArea.left + e.drawingArea.width / e.maxSeries * c,
              y: e.drawingArea.top,
              height: e.drawingArea.height < 0 ? 10 : e.drawingArea.height,
              width: e.drawingArea.width / e.maxSeries < 0 ? 1e-5 : e.drawingArea.width / e.maxSeries,
              fill: "transparent",
              onMouseenter: (n) => e.toggleTooltipVisibility(!0, c),
              onMouseleave: s[1] || (s[1] = (n) => e.toggleTooltipVisibility(!1)),
              onClick: (n) => e.selectX(c)
            }, null, 40, Ga)
          ]))), 128))
        ]),
        e.FINAL_CONFIG.chart.timeTag.show && ![null, void 0].includes(i.selectedSerieIndex) ? (l(), r("g", pa, [
          (l(), r("foreignObject", {
            x: e.drawingArea.left + e.drawingArea.width / e.maxSeries * i.selectedSerieIndex - 100 + e.drawingArea.width / e.maxSeries / 2,
            y: e.drawingArea.bottom,
            width: "200",
            height: "40",
            style: { overflow: "visible !important" }
          }, [
            u("div", {
              class: "vue-ui-xy-time-tag",
              style: A(`width: fit-content;margin: 0 auto;text-align:center;padding:3px 12px;background:${e.FINAL_CONFIG.chart.timeTag.backgroundColor};color:${e.FINAL_CONFIG.chart.timeTag.color};font-size:${e.FINAL_CONFIG.chart.timeTag.fontSize}px`)
            }, S(e.timeLabels[i.selectedSerieIndex] || i.selectedSerieIndex), 5)
          ], 8, za)),
          u("circle", {
            cx: e.drawingArea.left + e.drawingArea.width / e.maxSeries * i.selectedSerieIndex + e.drawingArea.width / e.maxSeries / 2,
            cy: e.drawingArea.bottom,
            r: e.FINAL_CONFIG.chart.timeTag.circleMarker.radius,
            fill: e.FINAL_CONFIG.chart.timeTag.circleMarker.color
          }, null, 8, Ma)
        ])) : o("", !0)
      ])) : o("", !0),
      O(a.$slots, "svg", { svg: e.svg }, void 0, !0)
    ], 14, Ze)) : o("", !0),
    a.$slots.watermark ? (l(), r("div", Ta, [
      O(a.$slots, "watermark", B(Y({ isPrinting: i.isPrinting || i.isImaging })), void 0, !0)
    ])) : o("", !0),
    e.isDataset ? o("", !0) : (l(), V(N, {
      key: 4,
      config: {
        type: "line",
        style: {
          backgroundColor: e.FINAL_CONFIG.chart.backgroundColor,
          line: {
            axis: {
              color: e.FINAL_CONFIG.chart.grid.stroke
            },
            path: {
              color: e.FINAL_CONFIG.chart.grid.stroke,
              strokeWidth: 0.5
            }
          }
        }
      }
    }, null, 8, ["config"])),
    e.FINAL_CONFIG.chart.zoom.show && i.maxX > 6 && e.isDataset ? (l(), V(C, {
      ref: "chartSlicer",
      key: `slicer_${i.slicerStep}`,
      background: e.FINAL_CONFIG.chart.zoom.color,
      fontSize: e.FINAL_CONFIG.chart.zoom.fontSize,
      useResetSlot: e.FINAL_CONFIG.chart.zoom.useResetSlot,
      labelLeft: e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.values[i.slicer.start],
      labelRight: e.FINAL_CONFIG.chart.grid.labels.xAxisLabels.values[i.slicer.end - 1],
      textColor: e.FINAL_CONFIG.chart.color,
      inputColor: e.FINAL_CONFIG.chart.zoom.color,
      selectColor: e.FINAL_CONFIG.chart.zoom.highlightColor,
      borderColor: e.FINAL_CONFIG.chart.backgroundColor,
      minimap: e.minimap,
      smoothMinimap: e.FINAL_CONFIG.chart.zoom.minimap.smooth,
      minimapSelectedColor: e.FINAL_CONFIG.chart.zoom.minimap.selectedColor,
      minimapSelectionRadius: e.FINAL_CONFIG.chart.zoom.minimap.selectionRadius,
      minimapLineColor: e.FINAL_CONFIG.chart.zoom.minimap.lineColor,
      minimapSelectedColorOpacity: e.FINAL_CONFIG.chart.zoom.minimap.selectedColorOpacity,
      minimapSelectedIndex: i.selectedSerieIndex,
      minimapIndicatorColor: e.FINAL_CONFIG.chart.zoom.minimap.indicatorColor,
      max: i.maxX,
      min: 0,
      valueStart: i.slicer.start,
      valueEnd: i.slicer.end,
      start: i.slicer.start,
      "onUpdate:start": s[2] || (s[2] = (t) => i.slicer.start = t),
      end: i.slicer.end,
      "onUpdate:end": s[3] || (s[3] = (t) => i.slicer.end = t),
      onReset: e.refreshSlicer,
      onTrapMouse: e.selectMinimapIndex
    }, {
      "reset-action": p(({ reset: t }) => [
        O(a.$slots, "reset-action", B(Y({ reset: t })), void 0, !0)
      ]),
      _: 3
    }, 8, ["background", "fontSize", "useResetSlot", "labelLeft", "labelRight", "textColor", "inputColor", "selectColor", "borderColor", "minimap", "smoothMinimap", "minimapSelectedColor", "minimapSelectionRadius", "minimapLineColor", "minimapSelectedColorOpacity", "minimapSelectedIndex", "minimapIndicatorColor", "max", "valueStart", "valueEnd", "start", "end", "onReset", "onTrapMouse"])) : o("", !0),
    e.FINAL_CONFIG.chart.legend.show ? (l(), r("div", {
      key: 6,
      ref: "chartLegend",
      class: "vue-ui-xy-legend",
      style: A(`font-size:${e.FINAL_CONFIG.chart.legend.fontSize}px`)
    }, [
      (l(!0), r(m, null, I(e.absoluteDataset, (t, c) => (l(), r("div", {
        key: `div_legend_item_${c}`,
        onClick: (n) => e.segregate(t),
        class: M({ "vue-ui-xy-legend-item": !0, "vue-ui-xy-legend-item-segregated": i.segregatedSeries.includes(t.id) })
      }, [
        i.icons[t.type] === "line" ? (l(), r("svg", Va, [
          u("rect", {
            x: "0",
            y: "7",
            rx: "3",
            stroke: "none",
            height: "4",
            width: "20",
            fill: t.color
          }, null, 8, Ra),
          q(L, {
            plot: { x: 10, y: 9 },
            radius: 4,
            color: t.color,
            shape: ["triangle", "square", "diamond", "pentagon", "hexagon", "star"].includes(t.shape) ? t.shape : "circle",
            stroke: e.FINAL_CONFIG.chart.backgroundColor,
            strokeWidth: 1
          }, null, 8, ["color", "shape", "stroke"])
        ])) : (l(), r("svg", Da, [
          i.icons[t.type] === "bar" ? (l(), r("rect", {
            key: 0,
            x: "0",
            y: "0",
            rx: "1",
            height: "12",
            width: "12",
            stroke: "none",
            fill: t.color
          }, null, 8, Ha)) : (l(), V(L, {
            key: 1,
            plot: { x: 6, y: 6 },
            radius: 5,
            color: t.color,
            shape: ["triangle", "square", "diamond", "pentagon", "hexagon", "star"].includes(t.shape) ? t.shape : "circle"
          }, null, 8, ["color", "shape"]))
        ])),
        u("span", {
          style: A(`color:${e.FINAL_CONFIG.chart.legend.color}`)
        }, S(t.name), 5)
      ], 10, Pa))), 128))
    ], 4)) : (l(), r("div", Wa, [
      O(a.$slots, "legend", { legend: e.absoluteDataset }, void 0, !0)
    ], 512)),
    q(z, {
      show: i.mutableConfig.showTooltip && i.isTooltip,
      backgroundColor: e.FINAL_CONFIG.chart.tooltip.backgroundColor,
      color: e.FINAL_CONFIG.chart.tooltip.color,
      fontSize: e.FINAL_CONFIG.chart.tooltip.fontSize,
      borderRadius: e.FINAL_CONFIG.chart.tooltip.borderRadius,
      borderColor: e.FINAL_CONFIG.chart.tooltip.borderColor,
      borderWidth: e.FINAL_CONFIG.chart.tooltip.borderWidth,
      backgroundOpacity: e.FINAL_CONFIG.chart.tooltip.backgroundOpacity,
      position: e.FINAL_CONFIG.chart.tooltip.position,
      offsetY: e.FINAL_CONFIG.chart.tooltip.offsetY,
      parent: a.$refs.chart,
      content: e.tooltipContent,
      isCustom: e.FINAL_CONFIG.chart.tooltip.customFormat && typeof e.FINAL_CONFIG.chart.tooltip.customFormat == "function"
    }, {
      "tooltip-before": p(() => [
        O(a.$slots, "tooltip-before", B(Y({ ...e.dataTooltipSlot })), void 0, !0)
      ]),
      "tooltip-after": p(() => [
        O(a.$slots, "tooltip-after", B(Y({ ...e.dataTooltipSlot })), void 0, !0)
      ]),
      _: 3
    }, 8, ["show", "backgroundColor", "color", "fontSize", "borderRadius", "borderColor", "borderWidth", "backgroundOpacity", "position", "offsetY", "parent", "content", "isCustom"]),
    e.isDataset ? (l(), V(b, {
      key: 8,
      hideDetails: "",
      config: {
        open: i.mutableConfig.showTable,
        maxHeight: 1e4,
        body: {
          backgroundColor: e.FINAL_CONFIG.chart.backgroundColor,
          color: e.FINAL_CONFIG.chart.color
        },
        head: {
          backgroundColor: e.FINAL_CONFIG.chart.backgroundColor,
          color: e.FINAL_CONFIG.chart.color
        }
      }
    }, {
      content: p(() => [
        u("div", {
          style: A(`${i.isPrinting ? "" : "max-height:400px"};overflow:auto;width:100%;margin-top:48px`)
        }, [
          u("div", Ea, [
            He(u("input", {
              type: "checkbox",
              "onUpdate:modelValue": s[4] || (s[4] = (t) => i.showSparklineTable = t)
            }, null, 512), [
              [We, i.showSparklineTable]
            ]),
            u("div", {
              onClick: s[5] || (s[5] = (t) => i.showSparklineTable = !i.showSparklineTable),
              style: { cursor: "pointer" }
            }, [
              q(k, {
                name: "chartLine",
                size: 20,
                stroke: e.FINAL_CONFIG.chart.color
              }, null, 8, ["stroke"])
            ])
          ]),
          i.showSparklineTable ? (l(), V(G, {
            key: `sparkline_${i.segregateStep}`,
            dataset: e.tableSparklineDataset,
            config: e.tableSparklineConfig
          }, null, 8, ["dataset", "config"])) : (l(), V(v, {
            key: `table_${i.tableStep}`,
            colNames: e.dataTable.colNames,
            head: e.dataTable.head,
            body: e.dataTable.body,
            config: e.dataTable.config,
            title: `${e.FINAL_CONFIG.chart.title.text}${e.FINAL_CONFIG.chart.title.subtitle.text ? ` : ${e.FINAL_CONFIG.chart.title.subtitle.text}` : ""}`,
            onClose: s[6] || (s[6] = (t) => i.mutableConfig.showTable = !1)
          }, {
            th: p(({ th: t }) => [
              u("div", { innerHTML: t }, null, 8, Ba)
            ]),
            td: p(({ td: t }) => [
              Ee(S(isNaN(Number(t)) ? t : e.dataLabel({
                p: e.FINAL_CONFIG.chart.labels.prefix,
                v: t,
                s: e.FINAL_CONFIG.chart.labels.suffix,
                r: e.FINAL_CONFIG.table.rounding
              })), 1)
            ]),
            _: 1
          }, 8, ["colNames", "head", "body", "config", "title"]))
        ], 4)
      ]),
      _: 1
    }, 8, ["config"])) : o("", !0)
  ], 14, qe);
}
const si = /* @__PURE__ */ Be(Xe, [["render", Ya], ["__scopeId", "data-v-a70a56aa"]]);
export {
  si as default
};
